/*******************************************************************************
Copyright (C) Marvell International Ltd. and its affiliates

This software file (the "File") is owned and distributed by Marvell 
International Ltd. and/or its affiliates ("Marvell") under the following
alternative licensing terms.  Once you have made an election to distribute the
File under one of the following license alternatives, please (i) delete this
introductory statement regarding license alternatives, (ii) delete the two
license alternatives that you have not elected to use and (iii) preserve the
Marvell copyright notice above.

********************************************************************************
Marvell Commercial License Option

If you received this File from Marvell and you have entered into a commercial
license agreement (a "Commercial License") with Marvell, the File is licensed
to you under the terms of the applicable Commercial License.

********************************************************************************
Marvell GPL License Option

If you received this File from Marvell, you may opt to use, redistribute and/or 
modify this File in accordance with the terms and conditions of the General 
Public License Version 2, June 1991 (the "GPL License"), a copy of which is 
available along with the File in the license.txt file or by writing to the Free 
Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 or 
on the worldwide web at http://www.gnu.org/licenses/gpl.txt. 

THE FILE IS DISTRIBUTED AS-IS, WITHOUT WARRANTY OF ANY KIND, AND THE IMPLIED 
WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE ARE EXPRESSLY 
DISCLAIMED.  The GPL License provides additional details about this warranty 
disclaimer.
********************************************************************************
Marvell BSD License Option

If you received this File from Marvell, you may opt to use, redistribute and/or 
modify this File under the following licensing terms. 
Redistribution and use in source and binary forms, with or without modification, 
are permitted provided that the following conditions are met:

    *   Redistributions of source code must retain the above copyright notice,
	    this list of conditions and the following disclaimer. 

    *   Redistributions in binary form must reproduce the above copyright
        notice, this list of conditions and the following disclaimer in the
        documentation and/or other materials provided with the distribution. 

    *   Neither the name of Marvell nor the names of its contributors may be 
        used to endorse or promote products derived from this software without 
        specific prior written permission. 
    
THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND 
ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED 
WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE 
DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR 
ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES 
(INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; 
LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON 
ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS 
SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

*******************************************************************************/


#ifndef __INCmvBoardEnvSpech
#define __INCmvBoardEnvSpech

#include "mvSysHwConfig.h"
#include "mvTypes.h"

/* For future use */
#define BD_ID_DATA_START_OFFS	0x0
#define BD_DETECT_SEQ_OFFS		0x0
#define BD_SYS_NUM_OFFS			0x4
#define BD_NAME_OFFS			0x8

#define DB_88F1181_DDR1				0x0
#define DB_88F1181_DDR2				0x1
#define DB_88F5181_5281_DDR1		0x2
#define DB_88F5181_5281_DDR2		0x3
#define DB_88F5181_DDR1_PRPMC		0x4
#define DB_88F5181_DDR1_PEXPCI		0x5
#define RD_88F5181_POS_NAS 			0x6
#define DB_88F5X81_DDR2				0x7
#define DB_88F5X81_DDR1				0x8
#define RD_88F5181_VOIP				0x9
#define DB_88F5182_DDR2				0xA
#define RD_88F5182_2XSATA			0xB
#define DB_88F5181L_DDR2_2XTDM			0xC
#define RD_88F5181L_VOIP_FE			0xD
#define RD_88F5181L_VOIP_GE			0xE
#define RD_88F5182_2XSATA3			0xF
#define DB_88W8660_DDR2				0x10
#define RD_88W8660_DDR1				0x11
/* saito change*/

#if !defined(CONFIG_BUFFALO_PLATFORM)
	#define RD_88W8660_AP82S_DDR1			0x12
	#define DB_88F5181_DDR1_MNG			0x13
#elif defined(CONFIG_BUFFALO_PLATFORM) && !defined(ORG_PCB)

#define BUFFALO_BOARD_LS_GL				0x12
#define BUFFALO_BOARD_LS_GL_HIGH_SPEED			0x13
#define BUFFALO_BOARD_TS_HTGL_R5			0x14
#define BUFFALO_BOARD_TS_HTGL_R1			0x15
#define BUFFALO_BOARD_LS_GL_R1				0x16
#define BUFFALO_BOARD_HS_WDHTGL_R1			0x17
#define BUFFALO_BOARD_LS_WTGL_R1			0x18
#define BUFFALO_BOARD_LS_WGL				0x19
#define BUFFALO_BOARD_LS_WSGL_R1			0x1A
#define BUFFALO_BOARD_LS_HGL				0x1B
#define BUFFALO_BOARD_LS_WHGL_R1			0x1C
#define BUFFALO_BOARD_LS_WWN_R1				0x1D
#define BUFFALO_BOARD_LS_CL				0x1E
#define BUFFALO_BOARD_LS_QL_R5				0x1F

#define RD_88W8660_AP82S_DDR1				0x20
#define DB_88F5181_DDR1_MNG				0x21

#define BIT(x)		(1 << x)

#define BOARD_ID_5182_0	4
#define BOARD_ID_5182_1	5
#define BOARD_ID_5182_2	11
#define BOARD_ID_5182_3	12
#define BOARD_ID_5182_4	13
#define BOARD_ID_5182_5	23
#define BOARD_ID_5182_6	24
#define BOARD_ID_5182_7	25

#define BOARD_ID_5281_0	27
#define BOARD_ID_5281_1 28
#define BOARD_ID_5281_2 29
#define BOARD_ID_5281_3 30
#define BOARD_ID_5281_4 31
#define BOARD_ID_5281_5 
#define BOARD_ID_5281_6
#define BOARD_ID_5281_7

#define BOARD_ID_0_MASK		BIT(0)
#define BOARD_ID_1_MASK		BIT(1)
#define BOARD_ID_2_MASK		BIT(2)
#define BOARD_ID_3_MASK		BIT(3)
#define BOARD_ID_4_MASK		BIT(4)
#define BOARD_ID_5_MASK		BIT(5)
#define BOARD_ID_6_MASK		BIT(6)
#define BOARD_ID_7_MASK		BIT(7)

#define STRAP_5182_0_MASK	BIT(BOARD_ID_5182_0)
#define STRAP_5182_1_MASK	BIT(BOARD_ID_5182_1)
#define STRAP_5182_2_MASK	BIT(BOARD_ID_5182_2)
#define STRAP_5182_3_MASK	BIT(BOARD_ID_5182_3)
#define STRAP_5182_4_MASK	BIT(BOARD_ID_5182_4)
#define STRAP_5182_5_MASK	BIT(BOARD_ID_5182_5)
#define STRAP_5182_6_MASK	BIT(BOARD_ID_5182_6)
#define STRAP_5182_7_MASK	BIT(BOARD_ID_5182_7)

#define STRAP_5281_0_MASK	BIT(BOARD_ID_5281_0)
#define STRAP_5281_1_MASK	BIT(BOARD_ID_5281_1)
#define STRAP_5281_2_MASK	BIT(BOARD_ID_5281_2)
#define STRAP_5281_3_MASK	BIT(BOARD_ID_5281_3)
#define STRAP_5281_4_MASK	BIT(BOARD_ID_5281_4)
#define STRAP_5281_5_MASK	BIT(BOARD_ID_5281_5)
#define STRAP_5281_6_MASK	BIT(BOARD_ID_5281_6)
#define STRAP_5281_7_MASK	BIT(BOARD_ID_5281_7)

#define STRAP_5182_MASK		(STRAP_5182_0_MASK | STRAP_5182_1_MASK | STRAP_5182_2_MASK | STRAP_5182_3_MASK | STRAP_5182_4_MASK | STRAP_5182_5_MASK | STRAP_5182_6_MASK | STRAP_5182_7_MASK)

#define STRAP_5281_MASK		(STRAP_5281_0_MASK | STRAP_5281_1_MASK | STRAP_5281_2_MASK | STRAP_5281_3_MASK | STRAP_5281_4_MASK)

#define BOARD_ID_TO_STRAP_5182(x)	((((x & BOARD_ID_0_MASK)? 1:0) << BOARD_ID_5182_0) |\
					 (((x & BOARD_ID_1_MASK)? 1:0) << BOARD_ID_5182_1) |\
					 (((x & BOARD_ID_2_MASK)? 1:0) << BOARD_ID_5182_2) |\
					 (((x & BOARD_ID_3_MASK)? 1:0) << BOARD_ID_5182_3) |\
					 (((x & BOARD_ID_4_MASK)? 1:0) << BOARD_ID_5182_4) |\
					 (((x & BOARD_ID_5_MASK)? 1:0) << BOARD_ID_5182_5) |\
					 (((x & BOARD_ID_6_MASK)? 1:0) << BOARD_ID_5182_6) |\
					 (((x & BOARD_ID_7_MASK)? 1:0) << BOARD_ID_5182_7))

#define BOARD_ID_TO_STRAP_5281(x)	((((x & BOARD_ID_0_MASK)? 1:0) << BOARD_ID_5281_0) |\
					 (((x & BOARD_ID_1_MASK)? 1:0) << BOARD_ID_5281_1) |\
					 (((x & BOARD_ID_2_MASK)? 1:0) << BOARD_ID_5281_2) |\
					 (((x & BOARD_ID_3_MASK)? 1:0) << BOARD_ID_5281_3) |\
					 (((x & BOARD_ID_4_MASK)? 1:0) << BOARD_ID_5281_4))

#define STRAP_TO_BOARD_ID_5182(x)	((((x & STRAP_5182_0_MASK)? 1:0) << 0) |\
					 (((x & STRAP_5182_1_MASK)? 1:0) << 1) |\
					 (((x & STRAP_5182_2_MASK)? 1:0) << 2) |\
					 (((x & STRAP_5182_3_MASK)? 1:0) << 3) |\
					 (((x & STRAP_5182_4_MASK)? 1:0) << 4) |\
					 (((x & STRAP_5182_5_MASK)? 1:0) << 5) |\
					 (((x & STRAP_5182_6_MASK)? 1:0) << 6) |\
					 (((x & STRAP_5182_7_MASK)? 1:0) << 7))

#define STRAP_TO_BOARD_ID_5281(x)	((((x & STRAP_5281_0_MASK)? 1:0) << 0) |\
					 (((x & STRAP_5281_1_MASK)? 1:0) << 1) |\
					 (((x & STRAP_5281_2_MASK)? 1:0) << 2) |\
					 (((x & STRAP_5281_3_MASK)? 1:0) << 3) |\
					 (((x & STRAP_5281_4_MASK)? 1:0) << 4))

#define BOARD_HWID_LSGL		0x00
#define BOARD_HWID_LSGL_EG	0x01
#define BOARD_HWID_KURO		0x02
#define BOARD_HWID_HSWDHTGL	0x03
#define BOARD_HWID_LSWGL	0x0a // 5182 64MB 1drive nomicon
#define BOARD_HWID_LSWTGL	0x13 // 5182 64MB 1drive nomicon
#define BOARD_HWID_LSWSGL	0x33 // 5182 ??MB 2.5inch 2drive nomicon
#define BOARD_HWID_LSHGL	0x23 // 5182 64MB 1drive nomicon
#define BOARD_HWID_LSWHGL	0x17 // 5182 128MB 2drive nomicon
#define BOARD_HWID_LSCL		0x43 // 5182 128MB 1drive nomicon
#define BOARD_HWID_LSQL		0x2B // 5182 128MB 4drive nomicon

#define BOARD_HWID_LSWWN	0x00 // 5281


#define STRAP_STATUS_LSGL	BOARD_ID_TO_STRAP_5182(BOARD_HWID_LSGL)
#define STRAP_STATUS_LSGL_EG	BOARD_ID_TO_STRAP_5182(BOARD_HWID_LSGL_EG)
#define STRAP_STATUS_KURO	BOARD_ID_TO_STRAP_5182(BOARD_HWID_KURO)
#define STRAP_STATUS_HSWDHTGL	BOARD_ID_TO_STRAP_5182(BOARD_HWID_HSWDHTGL)
#define STRAP_STATUS_LSWTGL	BOARD_ID_TO_STRAP_5182(BOARD_HWID_LSWTGL)
#define STRAP_STATUS_LSWGL	BOARD_ID_TO_STRAP_5182(BOARD_HWID_LSWGL)
#define STRAP_STATUS_LSWSGL	BOARD_ID_TO_STRAP_5182(BOARD_HWID_LSWSGL)
#define STRAP_STATUS_LSHGL	BOARD_ID_TO_STRAP_5182(BOARD_HWID_LSHGL)
#define STRAP_STATUS_LSWHGL	BOARD_ID_TO_STRAP_5182(BOARD_HWID_LSWHGL)
#define STRAP_STATUS_LSCL	BOARD_ID_TO_STRAP_5182(BOARD_HWID_LSCL)
#define STRAP_STATUS_LSQL	BOARD_ID_TO_STRAP_5182(BOARD_HWID_LSQL)

#define STRAP_STATUS_LSWWN	BOARD_ID_TO_STRAP_5281(BOARD_HWID_LSWWN)

#define PID_LS_GL		0x00000009
#define PID_HS_DHGL		0x0000000a
#define PID_LS_LGL		0x0000000b
#define PID_LS_IGL		0x0000000c
#define PID_LS_WGL		0x0000000d //dummy
#define PID_LS_HGL		0x0000000e
#define PID_LS_CL		0x0000000f
#define PID_LS_CHL		0x00000010

#define PID_TS_HTGL_R5		0x00002005
#define PID_HS_DHTGL_R5		0x00002006
#define PID_TS_2UHTGL_R5	0x00002007

#define PID_HS_WDHTGL_R1	0x00003000
#define PID_LS_WTGL_R1		0x00003001
#define PID_LS_WSGL_R1		0x00003002
#define PID_LS_WHGL_R1		0x00003003

#define PID_LS_QL_R5		0x00004000

#define PID_LS_WWN_R1		0x00013000

#define RTC_RICOH	0
#define RTC_EPSON	1

#endif /*!defined(CONFIG_BUFFALO_PLATFORM)*/


#define MV_MAX_BOARD_ID	(DB_88F5181_DDR1_MNG + 1)

/* Ethernet stuff */
#define BOARD_ETH_PORT_NUM  1
#define MV_ETH_PORT_SGMII   { 0 }


/* MPP possible values in the remarks should be updated from the board
   sheet or taken from HW team */


/* I2C bus addresses */
#define MV_BOARD_CTRL_I2C_ADDR			0x0     /* Controller slave addr */
#define MV_BOARD_CTRL_I2C_ADDR_TYPE 		ADDR7_BIT
#define MV_BOARD_DIMM0_I2C_ADDR			0x56
#define MV_BOARD_DIMM0_I2C_ADDR_TYPE 		ADDR7_BIT
#define MV_BOARD_DIMM1_I2C_ADDR			0x54
#define MV_BOARD_DIMM1_I2C_ADDR_TYPE 		ADDR7_BIT
#define MV_BOARD_EEPROM_I2C_ADDR	    	0x51
#define MV_BOARD_EEPROM_I2C_ADDR_TYPE 		ADDR7_BIT
#define MV_BOARD_MAIN_EEPROM_I2C_ADDR	   	0x50
#define MV_BOARD_MAIN_EEPROM_I2C_ADDR_TYPE 	ADDR7_BIT

/* Eeprom board data */
#define MV_BOARD_ID_EEPROM                      MV_BOARD_MAIN_EEPROM_I2C_ADDR
#define MV_BOARD_ID_EEPROM_OFFSET0              0x1F0		/* last 16byte in 0.5KByte EEPROMS */
#define MV_BOARD_ID_EEPROM_OFFSET1              0x1FF0		/* last 16byte in 8KByte EEPROMS */
#define MV_BOARD_I2C_MAGIC                      0xFEEDFEED


#ifdef MV_NAND_BOOT
#define BOOT_FLASH_INDEX					0
#define MAIN_FLASH_INDEX					0
#else
#define BOOT_FLASH_INDEX					0
#define MAIN_FLASH_INDEX					1
#endif /* MV_NAND_BOOT */

/* Boot Flash definitions */
#define	MV_BOARD_BOOT_FLASH_BASE_ADRS		mvBoardGetDeviceBaseAddr(BOOT_FLASH_INDEX,	\
																	 BOARD_DEV_NOR_FLASH)
#define MV_BOARD_BOOT_FLASH_BUS_WIDTH	    mvBoardGetDeviceBusWidth(BOOT_FLASH_INDEX,	\
																	  BOARD_DEV_NOR_FLASH)
#define MV_BOARD_BOOT_FLASH_DEVICE_WIDTH	mvBoardGetDeviceWidth(BOOT_FLASH_INDEX,	\
																   BOARD_DEV_NOR_FLASH)

/* Board main flash */
#define	MV_BOARD_FLASH_BASE_ADRS    	mvBoardGetDeviceBaseAddr(MAIN_FLASH_INDEX,	\
																	 BOARD_DEV_NOR_FLASH)
#define MV_BOARD_FLASH_BUS_WIDTH		mvBoardGetDeviceBusWidth(MAIN_FLASH_INDEX,	\
																	  BOARD_DEV_NOR_FLASH)
#define MV_BOARD_FLASH_DEVICE_WIDTH		mvBoardGetDeviceWidth(MAIN_FLASH_INDEX,	\
																   BOARD_DEV_NOR_FLASH)


/* Clocks stuff */
#define MV_BOARD_DEFAULT_TCLK	166666667	/* Default Tclk 166MHz 		*/
#define MV_BOARD_DEFAULT_SYSCLK	200000000	/* Default SysClk 200MHz 	*/
#define MV_BOARD_DEFAULT_PCLK	400000000   /* Default Pclock 400 MHZ*/

#define MV_BOARD_REF_CLOCK	3686400	/* Refrence Clock 3.6864MHz 	*/


/* Supported clocks */
#define MV_BOARD_TCLK_100MHZ	100000000   
#define MV_BOARD_TCLK_125MHZ	125000000	/* Using 50MHz Xtal */
#define MV_BOARD_TCLK_133MHZ	133333334   
#define MV_BOARD_TCLK_150MHZ	150000000   /* Using 50MHz Xtal */
#define MV_BOARD_TCLK_166MHZ	166666667   
#define MV_BOARD_TCLK_200MHZ	200000000   

#define MV_BOARD_SYSCLK_100MHZ	100000000   
#define MV_BOARD_SYSCLK_125MHZ	125000000   /* Using 50MHz Xtal */
#define MV_BOARD_SYSCLK_133MHZ	133333334   
#define MV_BOARD_SYSCLK_150MHZ	150000000   /* Using 50MHz Xtal */
#define MV_BOARD_SYSCLK_166MHZ	166666667   
#define MV_BOARD_SYSCLK_200MHZ	200000000   



#define DB_88F1181_DDR1_INFO	{												\
																				\
	"DB-88F1181-DDR1",						/* boardName[MAX_BOARD_NAME_LEN] */	\
																				\
	{0x00110001,							/* mpp0_7 */						\
	0x00001111,								/* mpp8_15 */                       \
	N_A,									/* mpp16_23 */                      \
	N_A},									/* mppDev */                        \
																				\
	(1 << 1),								/* intsGppMask */                   \
																				\
	/*{params, devType, devWidth}*/			/* devCsInfo[MV_BOARD_MAX_DEV] */   \
																				\
	{{ N_A, N_A, N_A},						/* devCs0 */                        \
	 { N_A, N_A, N_A},						/* devCs1 */                        \
	 { 0x8fcfffff, BOARD_DEV_NOR_FLASH, 16},	/* devCs2/flashCs */            \
	 { 0x8fcfffff, BOARD_DEV_NOR_FLASH, 8}},	/* bootCs */                    \
																				\
	/*pciBoardIf[MV_BOARD_MAX_PCI_IF];*/										\
																				\
	{{N_A,									/* firstSlotDevNum */               \
	0,		   		 						/* pciSlotsNum */                   \
																				\
	/*pciSlot[MV_BOARD_MAX_PCI_SLOTS]*/											\
	/* {{intAGppPin, intBGppPin, intCGppPin, intDGppPin}} */					\
																				\
	{{ {N_A, N_A, N_A, N_A}},			/* pciSlot0 */							\
	 { {N_A, N_A, N_A, N_A}},			/* pciSlot1 */                      	\
	 { {N_A, N_A, N_A, N_A}}}}},		/* pciSlot2 */                      	\
																				\
	0x68,									/* rtcTwsiAddr */                   \
    ADDR7_BIT,								/* rtcTwsiAddrType */               \
	0x63,									/* pexPciBridgeTwsiAddr */          \
	ADDR7_BIT,								/* pexPciBridgeTwsiAddrType */      \
																				\
	{N_A},									/* ethPhyAddr[MV_BOARD_MAX_PORTS] */\
																				\
	1,										/* rtcIntPin */                     \
	N_A,									/* switchIntPin */                  \
	{N_A,N_A},						/* vbusUsbGppPin[MV_BOARD_MAX_USB_IF] */	\
																				\
	8,										/* activeLedsNumber */              \
																				\
	{2,										/* led0GppPin */                    \
	3,										/* led1GppPin */                    \
	6,										/* led2GppPin */                    \
	7,										/* led3GppPin */                    \
	12,										/* led4GppPin */                    \
	13,										/* led5GppPin */                    \
	14,										/* led6GppPin */                    \
	15},									/* led7GppPin */            		\
	1,										/* ledsPolarity */					\
	0										/* refClkGppPin */					\
}


#define DB_88F1181_DDR2_INFO	{												\
																				\
	"DB-88F1181-DDR2",						/* boardName[MAX_BOARD_NAME_LEN] */	\
																				\
	{0x00110001,							/* mpp0_7 */						\
	0x00001111,								/* mpp8_15 */                       \
	N_A,									/* mpp16_23 */                      \
	N_A},									/* mppDev */                        \
																				\
	(1 << 1),								/* intsGppMask */                   \
																				\
	/*{params, devType, devWidth}*/			/* devCsInfo[MV_BOARD_MAX_DEV] */   \
																				\
	{{ N_A, N_A, N_A},						/* devCs0 */                        \
	 { N_A, N_A, N_A},						/* devCs1 */                        \
	 { 0x8fcfffff, BOARD_DEV_NOR_FLASH, 16},	/* devCs2/flashCs */            \
	 { 0x8fcfffff, BOARD_DEV_NOR_FLASH, 8}},	/* bootCs */                    \
																				\
	/*pciBoardIf[MV_BOARD_MAX_PCI_IF];*/	  									\
																				\
	{{N_A,									/* firstSlotDevNum */               \
	0,	  		  							/* pciSlotsNum */                   \
																				\
	/*pciSlot[MV_BOARD_MAX_PCI_SLOTS]*/											\
	/* {{intAGppPin, intBGppPin, intCGppPin, intDGppPin}} */					\
																				\
	{{ {N_A, N_A, N_A, N_A}},			/* pciSlot0 */							\
	 { {N_A, N_A, N_A, N_A}},			/* pciSlot1 */                      	\
	 { {N_A, N_A, N_A, N_A}}}}},		/* pciSlot2 */                      	\
																				\
	0x68,									/* rtcTwsiAddr */                   \
    ADDR7_BIT,								/* rtcTwsiAddrType */               \
	0x63,									/* pexPciBridgeTwsiAddr */          \
	ADDR7_BIT,								/* pexPciBridgeTwsiAddrType */      \
																				\
	{N_A},									/* ethPhyAddr[MV_BOARD_MAX_PORTS] */\
																				\
	1,										/* rtcIntPin */                     \
	N_A,									/* switchIntPin */                  \
	{N_A,N_A},						/* vbusUsbGppPin[MV_BOARD_MAX_USB_IF] */	\
																				\
	8,										/* activeLedsNumber */              \
																				\
	{2,										/* led0GppPin */                    \
	3,										/* led1GppPin */                    \
	6,										/* led2GppPin */                    \
	7,										/* led3GppPin */                    \
	12,										/* led4GppPin */                    \
	13,										/* led5GppPin */                    \
	14,										/* led6GppPin */                    \
	15},									/* led7GppPin */                    \
	1,										/* ledsPolarity */					\
	0										/* refClkGppPin */					\
}


#define DB_88F5181_5281_DDR1_MPP0_7	       	0x00332222
#define DB_88F5181_5281_DDR1_MPP8_15	   	0x11111111
#define DB_88F5181_5281_DDR1_MPP16_23  		0x1111
#define DB_88F5181_5281_DDR1_MPP_DEV		0x0


#define DB_88F5181_5281_DDR1_INFO	{											\
																				\
	"DB-88F5181-DDR1",						/* boardName[MAX_BOARD_NAME_LEN] */	\
																				\
	{DB_88F5181_5281_DDR1_MPP0_7,			/* mpp0_7 */						\
	DB_88F5181_5281_DDR1_MPP8_15,			/* mpp8_15 */                       \
	DB_88F5181_5281_DDR1_MPP16_23,			/* mpp16_23 */                      \
	DB_88F5181_5281_DDR1_MPP_DEV},			/* mppDev */                        \
																				\
	((1<<1)|(1 << 6)|(1<<7)),				/* intsGppMask */                   \
																				\
	/*{params, devType, devWidth}*/			/* devCsInfo[MV_BOARD_MAX_DEV] */   \
																				\
	{{ 0x8fcfffff, N_A, N_A},				/* devCs0 */                        \
	 { 0x8fefffff, BOARD_DEV_NOR_FLASH, 16},   	/* devCs1 */                    \
	 { 0x8fcfffff, BOARD_DEV_SEVEN_SEG, N_A},	/* devCs2/flashCs */            \
	 { 0x8fcfffff, BOARD_DEV_NOR_FLASH, 8}},	/* bootCs */                    \
																				\
	/*pciBoardIf[MV_BOARD_MAX_PCI_IF];*/	  									\
																				\
	{{0x7,									/* firstSlotDevNum */               \
	3,										/* pciSlotsNum */                   \
																				\
	/*pciSlot[MV_BOARD_MAX_PCI_SLOTS]*/											\
	/* {{intAGppPin, intBGppPin, intCGppPin, intDGppPin}} */					\
																				\
	{{ {7, 7, 7, 7}},					/* pciSlot0 */							\
	 { {6, 6, 6, 6}},					/* pciSlot1 */                      	\
	 { {6, 6, 6, 6}}}}},				/* pciSlot2 */                      	\
																				\
	0x68,									/* rtcTwsiAddr */                   \
    ADDR7_BIT,								/* rtcTwsiAddrType */               \
	N_A,									/* pexPciBridgeTwsiAddr */          \
	N_A,									/* pexPciBridgeTwsiAddrType */      \
																				\
	{0x8},									/* ethPhyAddr[MV_BOARD_MAX_PORTS] */\
																				\
	1,										/* rtcIntPin */                     \
	N_A,									/* switchIntPin */                  \
	{5,N_A},						/* vbusUsbGppPin[MV_BOARD_MAX_USB_IF] */	\
																				\
	4,										/* activeLedsNumber */              \
																				\
	{N_A,									/* led0GppPin */                    \
	N_A,									/* led1GppPin */                    \
	N_A,									/* led2GppPin */                    \
	N_A,									/* led3GppPin */                    \
	N_A,									/* led4GppPin */                    \
	N_A,									/* led5GppPin */                    \
	N_A,									/* led6GppPin */                    \
	N_A},									/* led7GppPin */                    \
	N_A,	   								/* ledsPolarity */					\
	0										/* refClkGppPin */					\
}

#define DB_88F5181_5281_DDR2_MPP0_7	       	0x00222203
#define DB_88F5181_5281_DDR2_MPP8_15	   	0x00001133
#define DB_88F5181_5281_DDR2_MPP16_23  		0x0
#define DB_88F5181_5281_DDR2_MPP_DEV		0x0

#define DB_88F5181_5281_DDR2_INFO	{											\
																				\
	"DB-88F5181-DDR2",						/* boardName[MAX_BOARD_NAME_LEN] */	\
																				\
	{DB_88F5181_5281_DDR2_MPP0_7,			/* mpp0_7 */						\
	DB_88F5181_5281_DDR2_MPP8_15,			/* mpp8_15 */                       \
	DB_88F5181_5281_DDR2_MPP16_23,			/* mpp16_23 */                      \
	DB_88F5181_5281_DDR2_MPP_DEV},			/* mppDev */                        \
																				\
	((1 << 10)|(1 << 12)|(1<<13)),				/* intsGppMask */                   \
																				\
	/*{params, devType, devWidth}*/			/* devCsInfo[MV_BOARD_MAX_DEV] */   \
																				\
	{{ 0x8fcfffff, N_A, N_A},				/* devCs0 */                        \
	 { 0x8fefffff, BOARD_DEV_NOR_FLASH, 16},	/* devCs1 */                    \
	 { 0x8fcfffff, N_A, N_A},				/* devCs2/flashCs */                \
	 { 0x8fcfffff, BOARD_DEV_NOR_FLASH, 8}},	/* bootCs */                    \
																				\
	/*pciBoardIf[MV_BOARD_MAX_PCI_IF];*/	  									\
																				\
	{{0x7,									/* firstSlotDevNum */               \
	3,										/* pciSlotsNum */                   \
																				\
	/*pciSlot[MV_BOARD_MAX_PCI_SLOTS]*/											\
	/* {{intAGppPin, intBGppPin, intCGppPin, intDGppPin}} */					\
																				\
	{{ {12, 12, 12, 12}},				/* pciSlot0 */							\
	 { {13, 13, 13, 13}},				/* pciSlot1 */                      	\
	 { {13, 13, 13, 13}}}}},			/* pciSlot2 */                      	\
																				\
	0x68,									/* rtcTwsiAddr */                   \
    ADDR7_BIT,								/* rtcTwsiAddrType */               \
	N_A,									/* pexPciBridgeTwsiAddr */          \
	N_A,									/* pexPciBridgeTwsiAddrType */      \
																				\
	{0x8},									/* ethPhyAddr[MV_BOARD_MAX_PORTS] */\
																				\
	10,									/* rtcIntPin */                     \
	N_A,									/* switchIntPin */                  \
	{1,N_A},						/* vbusUsbGppPin[MV_BOARD_MAX_USB_IF] */	\
																				\
	4,										/* activeLedsNumber */              \
																				\
	{14,									/* led0GppPin */                    \
	15,										/* led1GppPin */                    \
	6,										/* led2GppPin */                    \
	7,										/* led3GppPin */                    \
	N_A,									/* led4GppPin */                    \
	N_A,									/* led5GppPin */                    \
	N_A,									/* led6GppPin */                    \
	N_A},									/* led7GppPin */                    \
	1,										/* ledsPolarity */					\
	0										/* refClkGppPin */					\
}


#define DB_88F5181_DDR1_MNG_MPP0_7	    0x00000003
#define DB_88F5181_DDR1_MNG_MPP8_15	   	0x10001111
#define DB_88F5181_DDR1_MNG_MPP16_23  	0x00001111
#define DB_88F5181_DDR1_MNG_MPP_DEV		0x0


#define DB_88F5181_DDR1_MNG_INFO	{											\
																				\
	"DB-88F5181-DDR1-MNG",				/* boardName[MAX_BOARD_NAME_LEN] */	\
																				\
	{DB_88F5181_DDR1_MNG_MPP0_7,			/* mpp0_7 */						\
	DB_88F5181_DDR1_MNG_MPP8_15,			/* mpp8_15 */                       \
	DB_88F5181_DDR1_MNG_MPP16_23,			/* mpp16_23 */                      \
	DB_88F5181_DDR1_MNG_MPP_DEV}, 		/* mppDev */                        \
																				\
	((1 << 3) | (1<< 6) | (1<<7)),		/* intsGppMask */                   \
																				\
	/*{params, devType, devWidth}*/			/* devCsInfo[MV_BOARD_MAX_DEV] */   \
																				\
	{{ 0x8fcfffff, N_A, N_A},				/* devCs0 */                        \
	 { 0x8fefffff, BOARD_DEV_NOR_FLASH, 16},	/* devCs1 */                    \
	 { 0x8fcfffff, N_A, N_A},				/* devCs2/flashCs */                \
	 { 0x8fcfffff, BOARD_DEV_NOR_FLASH, 8}},	/* bootCs */                    \
																				\
	/*pciBoardIf[MV_BOARD_MAX_PCI_IF];*/	  									\
																				\
	{{N_A,									/* firstSlotDevNum */               \
	N_A,									/* pciSlotsNum */                   \
																				\
	/*pciSlot[MV_BOARD_MAX_PCI_SLOTS]*/											\
	/* {{intAGppPin, intBGppPin, intCGppPin, intDGppPin}} */					\
																				\
	{{ {7,7,7,7}},					/* pciSlot0 */							\
	 { {6,6,6,6}},			        /* pciSlot1 */                      	\
	 { {3,3,3,3}}}}},	            /* pciSlot2 */                      	\
																				\
	0x68,									/* rtcTwsiAddr */                   \
    ADDR7_BIT,								/* rtcTwsiAddrType */               \
	N_A,									/* pexPciBridgeTwsiAddr */          \
	N_A,									/* pexPciBridgeTwsiAddrType */      \
																				\
	{0x1f},									/* ethPhyAddr[MV_BOARD_MAX_PORTS] */\
																				\
	N_A,									/* rtcIntPin */                     \
	N_A,									/* switchIntPin */                  \
	{N_A,N_A},						/* vbusUsbGppPin[MV_BOARD_MAX_USB_IF] */	\
																				\
	3,										/* activeLedsNumber */              \
																				\
	{12,									/* led0GppPin */                    \
	13,										/* led1GppPin */                    \
	14,										/* led2GppPin */                    \
	N_A,									/* led3GppPin */                    \
	N_A,									/* led4GppPin */                    \
	N_A,									/* led5GppPin */                    \
	N_A,									/* led6GppPin */                    \
	N_A},									/* led7GppPin */                    \
	0,										/* ledsPolarity */					\
	0										/* refClkGppPin */					\
}

#define DB_88F5181_DDR1_PRPMC_MPP0_7	    0x00000003
#define DB_88F5181_DDR1_PRPMC_MPP8_15	   	0x10001111
#define DB_88F5181_DDR1_PRPMC_MPP16_23  	0x00001111
#define DB_88F5181_DDR1_PRPMC_MPP_DEV		0x0


#define DB_88F5181_DDR1_PRPMC_INFO	{											\
																				\
	"DB-88F5181-DDR1-PRPMC",				/* boardName[MAX_BOARD_NAME_LEN] */	\
																				\
	{DB_88F5181_DDR1_PRPMC_MPP0_7,			/* mpp0_7 */						\
	DB_88F5181_DDR1_PRPMC_MPP8_15,			/* mpp8_15 */                       \
	DB_88F5181_DDR1_PRPMC_MPP16_23,			/* mpp16_23 */                      \
	DB_88F5181_DDR1_PRPMC_MPP_DEV}, 		/* mppDev */                        \
																				\
	((1 << 6)|(1 << 5)|(1<<4)|(1<<7)),		/* intsGppMask */                   \
																				\
	/*{params, devType, devWidth}*/			/* devCsInfo[MV_BOARD_MAX_DEV] */   \
																				\
	{{ 0x8fcfffff, N_A, N_A},				/* devCs0 */                        \
	 { 0x8fefffff, BOARD_DEV_NOR_FLASH, 16},	/* devCs1 */                    \
	 { 0x8fcfffff, N_A, N_A},				/* devCs2/flashCs */                \
	 { 0x8fcfffff, BOARD_DEV_NOR_FLASH, 8}},	/* bootCs */                    \
																				\
	/*pciBoardIf[MV_BOARD_MAX_PCI_IF];*/	  									\
																				\
	{{N_A,									/* firstSlotDevNum */               \
	N_A,									/* pciSlotsNum */                   \
																				\
	/*pciSlot[MV_BOARD_MAX_PCI_SLOTS]*/											\
	/* {{intAGppPin, intBGppPin, intCGppPin, intDGppPin}} */					\
																				\
	{{ {6, 5, 4, 7}},					/* pciSlot0 */							\
	 { {N_A, N_A, N_A, N_A}},			/* pciSlot1 */                      	\
	 { {N_A, N_A, N_A, N_A}}}}},		/* pciSlot2 */                      	\
																				\
	0x68,									/* rtcTwsiAddr */                   \
    ADDR7_BIT,								/* rtcTwsiAddrType */               \
	N_A,									/* pexPciBridgeTwsiAddr */          \
	N_A,									/* pexPciBridgeTwsiAddrType */      \
																				\
	{0x1f},									/* ethPhyAddr[MV_BOARD_MAX_PORTS] */\
																				\
	N_A,									/* rtcIntPin */                     \
	N_A,									/* switchIntPin */                  \
	{N_A,N_A},						/* vbusUsbGppPin[MV_BOARD_MAX_USB_IF] */	\
																				\
	3,										/* activeLedsNumber */              \
																				\
	{12,									/* led0GppPin */                    \
	13,										/* led1GppPin */                    \
	14,										/* led2GppPin */                    \
	N_A,									/* led3GppPin */                    \
	N_A,									/* led4GppPin */                    \
	N_A,									/* led5GppPin */                    \
	N_A,									/* led6GppPin */                    \
	N_A},									/* led7GppPin */                    \
	0,										/* ledsPolarity */					\
	0										/* refClkGppPin */					\
}


#define DB_88F5181_DDR1_PEXPCI_MPP0_7	    0x00330000
#define DB_88F5181_DDR1_PEXPCI_MPP8_15	   	0x0
#define DB_88F5181_DDR1_PEXPCI_MPP16_23  	0x0
#define DB_88F5181_DDR1_PEXPCI_MPP_DEV		0x0


#define DB_88F5181_DDR1_PEXPCI_INFO	{											\
																				\
	"DB-88F5181-DDR1-PEX_PCI",				/* boardName[MAX_BOARD_NAME_LEN] */	\
																				\
	{DB_88F5181_DDR1_PEXPCI_MPP0_7,			/* mpp0_7 */						\
	DB_88F5181_DDR1_PEXPCI_MPP8_15,			/* mpp8_15 */                       \
	DB_88F5181_DDR1_PEXPCI_MPP16_23,		/* mpp16_23 */                      \
	DB_88F5181_DDR1_PEXPCI_MPP_DEV},		/* mppDev */                        \
																				\
	((1 << 6)|(1 << 5)|(1<<4)|(1<<7)),		/* intsGppMask */                   \
																				\
	/*{params, devType, devWidth}*/			/* devCsInfo[MV_BOARD_MAX_DEV] */   \
																				\
	{{ 0x8fcfffff, N_A, N_A},				/* devCs0 */                        \
	 { 0x8fefffff, BOARD_DEV_NOR_FLASH, 16},	/* devCs1 */                    \
	 { 0x8fcfffff, N_A, N_A},				/* devCs2/flashCs */                \
	 { 0x8fcfffff, BOARD_DEV_NOR_FLASH, 8}},	/* bootCs */                    \
																				\
	/*pciBoardIf[MV_BOARD_MAX_PCI_IF];*/	  									\
																				\
	{{N_A,									/* firstSlotDevNum */               \
	N_A,									/* pciSlotsNum */                   \
																				\
	/*pciSlot[MV_BOARD_MAX_PCI_SLOTS]*/											\
	/* {{intAGppPin, intBGppPin, intCGppPin, intDGppPin}} */					\
																				\
	{{ {3, 6, 7, 7}},		   	   		 /* pciSlot0 */							\
	 { {N_A, N_A, N_A, N_A}},			/* pciSlot1 */                     	 	\
	 { {N_A, N_A, N_A, N_A}}}}},		/* pciSlot2 */                     	 	\
																				\
	0x68,									/* rtcTwsiAddr */                   \
    ADDR7_BIT,								/* rtcTwsiAddrType */               \
	N_A,									/* pexPciBridgeTwsiAddr */          \
	N_A,									/* pexPciBridgeTwsiAddrType */      \
																				\
	{0x8},									/* ethPhyAddr[MV_BOARD_MAX_PORTS] */\
																				\
	N_A,									/* rtcIntPin */                     \
	N_A,									/* switchIntPin */                  \
	{N_A,N_A},						/* vbusUsbGppPin[MV_BOARD_MAX_USB_IF] */	\
																				\
	4,										/* activeLedsNumber */              \
																				\
	{12,									/* led0GppPin */                    \
	13,										/* led1GppPin */                    \
	14,										/* led2GppPin */                    \
	15,							  		  	/* led3GppPin */                    \
	N_A,									/* led4GppPin */                    \
	N_A,									/* led5GppPin */                    \
	N_A,									/* led6GppPin */                    \
	N_A},									/* led7GppPin */                    \
	0,										/* ledsPolarity */					\
	0										/* refClkGppPin */					\
}

#define RD_88F5181_POS_NAS_MPP0_7	       	0x0
#define RD_88F5181_POS_NAS_MPP8_15			0x0
#define RD_88F5181_POS_NAS_MPP16_23  		0x0
#define RD_88F5181_POS_NAS_MPP_DEV			0x0


#define RD_88F5181_POS_NAS_INFO	{												\
																				\
	"RD-88F5181-88SX7042-2xSATA",			/* boardName[MAX_BOARD_NAME_LEN] */	\
																				\
	{RD_88F5181_POS_NAS_MPP0_7,				/* mpp0_7 */						\
	RD_88F5181_POS_NAS_MPP8_15, 			/* mpp8_15 */                       \
	RD_88F5181_POS_NAS_MPP16_23,			/* mpp16_23 */                      \
	RD_88F5181_POS_NAS_MPP_DEV},			/* mppDev */                        \
																				\
	((1 << 8)|(1 << 4)|(1 << 6)),			/* intsGppMask */                   \
																				\
	/*{params, devType, devWidth}*/			/* devCsInfo[MV_BOARD_MAX_DEV] */   \
																				\
	{{ 0x8fcfffff, N_A, N_A},				/* devCs0 */                        \
	 { 0x8fefffff, N_A, N_A},					/* devCs1 */                    \
	 { 0x8fcfffff, N_A, N_A},				/* devCs2/flashCs */                \
	 { 0x8fcfffff, BOARD_DEV_NOR_FLASH, 8}},	/* bootCs */                    \
																				\
	/*pciBoardIf[MV_BOARD_MAX_PCI_IF];*/	  									\
																				\
	{{0x7,									/* firstSlotDevNum */               \
	1,										/* pciSlotsNum */                   \
																				\
	/*pciSlot[MV_BOARD_MAX_PCI_SLOTS]*/											\
	/* {{intAGppPin, intBGppPin, intCGppPin, intDGppPin}} */					\
																				\
	{{ {6, 4, N_A, N_A}},				/* pciSlot0 */							\
	 { {N_A, N_A, N_A, N_A}},  			/* pciSlot1 */                      	\
	 { {N_A, N_A, N_A, N_A}}}}},		/* pciSlot2 */                      	\
																				\
	0x68,									/* rtcTwsiAddr */                   \
    ADDR7_BIT,								/* rtcTwsiAddrType */               \
	N_A,									/* pexPciBridgeTwsiAddr */          \
	N_A,									/* pexPciBridgeTwsiAddrType */      \
																				\
	{0x8},									/* ethPhyAddr[MV_BOARD_MAX_PORTS] */\
																				\
	8,										/* rtcIntPin */                     \
	N_A,									/* switchIntPin */                  \
	{9,N_A},						/* vbusUsbGppPin[MV_BOARD_MAX_USB_IF] */	\
																				\
	4,										/* activeLedsNumber */              \
																				\
	{12,									/* led0GppPin */                    \
	13,										/* led1GppPin */                    \
	14,										/* led2GppPin */                    \
	15,							 		   	/* led3GppPin */                    \
	N_A,									/* led4GppPin */                    \
	N_A,									/* led5GppPin */                    \
	N_A,									/* led6GppPin */                    \
	N_A},									/* led7GppPin */                    \
	0,										/* ledsPolarity */					\
	0										/* refClkGppPin */					\
}

#define DB_88F5X81_DDRX_MPP0_7	       	0x33222203
#define DB_88F5X81_DDRX_MPP8_15			0x44000033
#define DB_88F5X81_DDRX_MPP16_23  		0x0
#define DB_88F5X81_DDRX_MPP_DEV			0x0


#define DB_88F5X81_DDR2_INFO	{												\
																				\
	"DB-88F5X81-DDR2-A",					/* boardName[MAX_BOARD_NAME_LEN] */	\
																				\
	{DB_88F5X81_DDRX_MPP0_7,				/* mpp0_7 */						\
	DB_88F5X81_DDRX_MPP8_15,				/* mpp8_15 */                       \
	DB_88F5X81_DDRX_MPP16_23,				/* mpp16_23 */                      \
	DB_88F5X81_DDRX_MPP_DEV},				/* mppDev */                        \
																				\
	((1<<10)|(1 << 12)|(1<<13)),				/* intsGppMask */                   \
																				\
	/*{params, devType, devWidth}*/			/* devCsInfo[MV_BOARD_MAX_DEV] */   \
																				\
	{{ 0x8fcfffff, BOARD_DEV_SEVEN_SEG, N_A}, 	/* devCs0 */                        \
	 { 0x8fefffff, BOARD_DEV_NOR_FLASH, 16},   	/* devCs1 */                    \
	 { 0x8fcfffff, BOARD_DEV_NAND_FLASH, 8},	/* devCs2/flashCs */            \
	 { 0x8fcfffff, BOARD_DEV_NOR_FLASH, 8}},	/* bootCs */                    \
																				\
	/*pciBoardIf[MV_BOARD_MAX_PCI_IF];*/	  									\
																				\
	{{0x7,									/* firstSlotDevNum */               \
	3,										/* pciSlotsNum */                   \
																				\
	/*pciSlot[MV_BOARD_MAX_PCI_SLOTS]*/											\
	/* {{intAGppPin, intBGppPin, intCGppPin, intDGppPin}} */					\
																				\
	{{ {12, 12, 12, 12}},				/* pciSlot0 */							\
	 { {13, 13, 13, 13}},				/* pciSlot1 */                      	\
	 { {13, 13, 13, 13}}}}},			/* pciSlot2 */                      	\
																				\
	0x68,									/* rtcTwsiAddr */                   \
    ADDR7_BIT,								/* rtcTwsiAddrType */               \
	N_A,									/* pexPciBridgeTwsiAddr */          \
	N_A,									/* pexPciBridgeTwsiAddrType */      \
																				\
	{0x8},									/* ethPhyAddr[MV_BOARD_MAX_PORTS] */\
																				\
	10,										/* rtcIntPin */                     \
	N_A,									/* switchIntPin */                  \
	{1, N_A},						/* vbusUsbGppPin[MV_BOARD_MAX_USB_IF] */	\
																				\
	4,										/* activeLedsNumber */              \
																				\
	{N_A,									/* led0GppPin */                    \
	N_A,									/* led1GppPin */                    \
	N_A,									/* led2GppPin */                    \
	N_A,									/* led3GppPin */                    \
	N_A,									/* led4GppPin */                    \
	N_A,									/* led5GppPin */                    \
	N_A,									/* led6GppPin */                    \
	N_A},									/* led7GppPin */                    \
	N_A,	   								/* ledsPolarity */					\
	11										/* refClkGppPin */					\
}


#define DB_88F5X81_DDR1_INFO	{												\
																				\
	"DB-88F5X81-DDR1-A",					/* boardName[MAX_BOARD_NAME_LEN] */	\
																				\
	{DB_88F5X81_DDRX_MPP0_7,				/* mpp0_7 */						\
	DB_88F5X81_DDRX_MPP8_15,				/* mpp8_15 */                       \
	DB_88F5X81_DDRX_MPP16_23,				/* mpp16_23 */                      \
	DB_88F5X81_DDRX_MPP_DEV},				/* mppDev */                        \
																				\
	((1<<10)|(1 << 12)|(1<<13)),				/* intsGppMask */                   \
																				\
	/*{params, devType, devWidth}*/			/* devCsInfo[MV_BOARD_MAX_DEV] */   \
																				\
	{{ 0x8fcfffff, BOARD_DEV_SEVEN_SEG, N_A}, 	/* devCs0 */                        \
	 { 0x8fefffff, BOARD_DEV_NOR_FLASH, 16},   	/* devCs1 */                    \
	 { 0x8fcfffff, BOARD_DEV_NAND_FLASH, 8},	/* devCs2/flashCs */            \
	 { 0x8fcfffff, BOARD_DEV_NOR_FLASH, 8}},	/* bootCs */                    \
																				\
	/*pciBoardIf[MV_BOARD_MAX_PCI_IF];*/	  									\
																				\
	{{0x7,									/* firstSlotDevNum */               \
	3,										/* pciSlotsNum */                   \
																				\
	/*pciSlot[MV_BOARD_MAX_PCI_SLOTS]*/											\
	/* {{intAGppPin, intBGppPin, intCGppPin, intDGppPin}} */					\
																				\
	{{ {12, 12, 12, 12}},				/* pciSlot0 */							\
	 { {13, 13, 13, 13}},				/* pciSlot1 */                      	\
	 { {13, 13, 13, 13}}}}},			/* pciSlot2 */                      	\
																				\
	0x68,									/* rtcTwsiAddr */                   \
    ADDR7_BIT,								/* rtcTwsiAddrType */               \
	N_A,									/* pexPciBridgeTwsiAddr */          \
	N_A,									/* pexPciBridgeTwsiAddrType */      \
																				\
	{0x8},									/* ethPhyAddr[MV_BOARD_MAX_PORTS] */\
																				\
	10,										/* rtcIntPin */                     \
	N_A,									/* switchIntPin */                  \
	{1, N_A},						/* vbusUsbGppPin[MV_BOARD_MAX_USB_IF] */	\
																				\
	4,										/* activeLedsNumber */              \
																				\
	{N_A,									/* led0GppPin */                    \
	N_A,									/* led1GppPin */                    \
	N_A,									/* led2GppPin */                    \
	N_A,									/* led3GppPin */                    \
	N_A,									/* led4GppPin */                    \
	N_A,									/* led5GppPin */                    \
	N_A,									/* led6GppPin */                    \
	N_A},									/* led7GppPin */                    \
	N_A,	   								/* ledsPolarity */					\
	11										/* refClkGppPin */					\
}

#define RD_88F5181_VOIP_MPP0_7	       	0x00000003
#define RD_88F5181_VOIP_MPP8_15			0x00000101
#define RD_88F5181_VOIP_MPP16_23  		0x0
#define RD_88F5181_VOIP_MPP_DEV			0x0


#define RD_88F5181_VOIP_INFO	{												\
																				\
	"RD-88F5181-VOIP-RD1",					/* boardName[MAX_BOARD_NAME_LEN] */	\
																				\
	{RD_88F5181_VOIP_MPP0_7,				/* mpp0_7 */						\
	RD_88F5181_VOIP_MPP8_15,				/* mpp8_15 */                       \
	RD_88F5181_VOIP_MPP16_23,				/* mpp16_23 */                      \
	RD_88F5181_VOIP_MPP_DEV},				/* mppDev */                        \
																				\
	((1<<3)|(1<<4)|(1 << 6)|(1<<7)),		/* intsGppMask */                   \
																				\
	/*{params, devType, devWidth}*/			/* devCsInfo[MV_BOARD_MAX_DEV] */   \
																				\
	{{ 0x8fdfffff, BOARD_DEV_FPGA, N_A}, 		/* devCs0 */                    \
	 { 0x8fcfffff, BOARD_DEV_NOR_FLASH, 8},   	/* devCs1 */                    \
	 { 0x8fdfffff, BOARD_DEV_FPGA, N_A},  		/* devCs2/flashCs */            \
	 { 0x8fcfffff, BOARD_DEV_NOR_FLASH, 8}},	/* bootCs */                    \
																				\
	/*pciBoardIf[MV_BOARD_MAX_PCI_IF];*/	  									\
																				\
	{{1,									/* firstSlotDevNum */               \
	1,										/* pciSlotsNum */                   \
																				\
	/*pciSlot[MV_BOARD_MAX_PCI_SLOTS]*/											\
	/* {{intAGppPin, intBGppPin, intCGppPin, intDGppPin}} */					\
																				\
	{{ {4, 4, 4, 4}},	   		 		/* pciSlot0 */							\
	 { {N_A, N_A, N_A, N_A}},  			/* pciSlot1 */                      	\
	 { {N_A, N_A, N_A, N_A}}}}},		/* pciSlot2 */                      	\
																				\
	0x68,									/* rtcTwsiAddr */                   \
    ADDR7_BIT,								/* rtcTwsiAddrType */               \
	N_A,									/* pexPciBridgeTwsiAddr */          \
	N_A,									/* pexPciBridgeTwsiAddrType */      \
																				\
	{0x0},									/* ethPhyAddr[MV_BOARD_MAX_PORTS] */\
																				\
	7,										/* rtcIntPin */                     \
	6,	  		  							/* switchIntPin */                  \
	{2,N_A},						/* vbusUsbGppPin[MV_BOARD_MAX_USB_IF] */	\
																				\
	3,										/* activeLedsNumber */              \
																				\
	{13,								   	/* led0GppPin */                    \
	14,										/* led1GppPin */                    \
	15,	  	  								/* led2GppPin */                    \
	N_A,									/* led3GppPin */                    \
	N_A,									/* led4GppPin */                    \
	N_A,									/* led5GppPin */                    \
	N_A,									/* led6GppPin */                    \
	N_A},									/* led7GppPin */                    \
	0,		   								/* ledsPolarity */					\
	N_A										/* refClkGppPin */					\
}


#define DB_88F5182_DDR2_MPP0_7	       	0x55222203
#define DB_88F5182_DDR2_MPP8_15			0x44550000
#define DB_88F5182_DDR2_MPP16_23  		0x0


#define DB_88F5182_DDR2_INFO	{												\
																				\
	"DB-88F5182-DDR2",					/* boardName[MAX_BOARD_NAME_LEN] */	\
																				\
	{DB_88F5182_DDR2_MPP0_7,				/* mpp0_7 */						\
	DB_88F5182_DDR2_MPP8_15,				/* mpp8_15 */                       \
	DB_88F5182_DDR2_MPP16_23,				/* mpp16_23 */                      \
	N_A},									/* mppDev */                        \
																				\
	((1<<0)|(1 << 1)|(1<<10)),				/* intsGppMask */                   \
																				\
	/*{params, devType, devWidth}*/			/* devCsInfo[MV_BOARD_MAX_DEV] */   \
																				\
	{{ 0x8fcfffff, BOARD_DEV_SEVEN_SEG, N_A}, 	/* devCs0 */                        \
	 { 0x8fdfffff, BOARD_DEV_NOR_FLASH, 16},   	/* devCs1 */                    \
	 { 0x8fcfffff, BOARD_DEV_NAND_FLASH, 8},	/* devCs2/flashCs */            \
	 { 0x8fcfffff, BOARD_DEV_NOR_FLASH, 8}},	/* bootCs */                    \
																				\
	/*pciBoardIf[MV_BOARD_MAX_PCI_IF];*/	  									\
																				\
	{{0x7,									/* firstSlotDevNum */               \
	3,										/* pciSlotsNum */                   \
																				\
	/*pciSlot[MV_BOARD_MAX_PCI_SLOTS]*/											\
	/* {{intAGppPin, intBGppPin, intCGppPin, intDGppPin}} */					\
																				\
	{{ {0, 0, 0, 0}},					/* pciSlot0 */							\
	 { {1, 1, 1, 1}}, 	  				/* pciSlot1 */                      	\
	 { {1, 1, 1, 1}}}}}, 	   			/* pciSlot2 */                      	\
																				\
	0x68,									/* rtcTwsiAddr */                   \
    ADDR7_BIT,								/* rtcTwsiAddrType */               \
	N_A,									/* pexPciBridgeTwsiAddr */          \
	N_A,									/* pexPciBridgeTwsiAddrType */      \
																				\
	{0x8},									/* ethPhyAddr[MV_BOARD_MAX_PORTS] */\
																				\
	10,										/* rtcIntPin */                     \
	N_A,									/* switchIntPin */                  \
	{8,9},							/* vbusUsbGppPin[MV_BOARD_MAX_USB_IF] */	\
																				\
	4,										/* activeLedsNumber */              \
																				\
	{N_A,									/* led0GppPin */                    \
	N_A,									/* led1GppPin */                    \
	N_A,									/* led2GppPin */                    \
	N_A,									/* led3GppPin */                    \
	N_A,									/* led4GppPin */                    \
	N_A,									/* led5GppPin */                    \
	N_A,									/* led6GppPin */                    \
	N_A},									/* led7GppPin */                    \
	N_A,	   								/* ledsPolarity */					\
	11										/* refClkGppPin */					\
}


#define RD_88F5182_2XSATA_MPP0_7	       	0x00000003
#define RD_88F5182_2XSATA_MPP8_15			0x55550000
#define RD_88F5182_2XSATA_MPP16_23  		0x5555

#define RD_88F5182_2XSATA_INFO	{												\
																				\
	"RD-88F5182-NAS-2",					/* boardName[MAX_BOARD_NAME_LEN] */	\
																				\
	{RD_88F5182_2XSATA_MPP0_7,				/* mpp0_7 */						\
	RD_88F5182_2XSATA_MPP8_15,				/* mpp8_15 */                       \
	RD_88F5182_2XSATA_MPP16_23,				/* mpp16_23 */                      \
	N_A},									/* mppDev */                        \
																				\
	((1<<3)|(1 << 6)|(1<<7)),				/* intsGppMask */                   \
																				\
	/*{params, devType, devWidth}*/			/* devCsInfo[MV_BOARD_MAX_DEV] */   \
																				\
	{{ N_A, N_A, N_A}, 						/* devCs0 */                        \
	 { 0x8fcfffff, BOARD_DEV_NOR_FLASH, 8},	/* devCs1 */                    \
	 { N_A, N_A, N_A},							/* devCs2/flashCs */            \
	 { 0x8fcfffff, BOARD_DEV_NOR_FLASH, 8}},	/* bootCs */                    \
																				\
	/*pciBoardIf[MV_BOARD_MAX_PCI_IF];*/	  									\
																				\
	{{0x7,									/* firstSlotDevNum */               \
	1,										/* pciSlotsNum */                   \
																				\
	/*pciSlot[MV_BOARD_MAX_PCI_SLOTS]*/											\
	/* {{intAGppPin, intBGppPin, intCGppPin, intDGppPin}} */					\
																				\
	{{ {7, 6, N_A, N_A}},		   		/* pciSlot0 */							\
	 { {N_A, N_A, N_A, N_A}},			/* pciSlot1 */                      	\
	 { {N_A, N_A, N_A, N_A}}}}},		/* pciSlot2 */                      	\
																				\
	0x68,									/* rtcTwsiAddr */                   \
    ADDR7_BIT,								/* rtcTwsiAddrType */               \
	N_A,									/* pexPciBridgeTwsiAddr */          \
	N_A,									/* pexPciBridgeTwsiAddrType */      \
																				\
	{0x8},									/* ethPhyAddr[MV_BOARD_MAX_PORTS] */\
																				\
	3,										/* rtcIntPin */                     \
	N_A,									/* switchIntPin */                  \
	{N_A,N_A},						/* vbusUsbGppPin[MV_BOARD_MAX_USB_IF] */	\
																				\
	1,										/* activeLedsNumber */              \
																				\
	{0,										/* led0GppPin */                    \
	N_A, 		 								/* led1GppPin */                \
	N_A,									/* led2GppPin */                    \
	N_A,									/* led3GppPin */                    \
	N_A,									/* led4GppPin */                    \
	N_A,									/* led5GppPin */                    \
	N_A,									/* led6GppPin */                    \
	N_A},									/* led7GppPin */                    \
	0,		   								/* ledsPolarity */					\
	N_A										/* refClkGppPin */					\
}


#define DB_88F5181L_DDR2_2XTDM_MPP0_7	   	0x00222203
#define DB_88F5181L_DDR2_2XTDM_MPP8_15	   	0x44000000
#define DB_88F5181L_DDR2_2XTDM_MPP16_23 	0x0
#define DB_88F5181L_DDR2_2XTDM_MPP_DEV		0x0


#define DB_88F5181L_DDR2_2XTDM_INFO	{											\
																				\
	"DB-88F5181L-DDR2-2xTDM",				/* boardName[MAX_BOARD_NAME_LEN] */	\
																				\
	{DB_88F5181L_DDR2_2XTDM_MPP0_7,			/* mpp0_7 */						\
	DB_88F5181L_DDR2_2XTDM_MPP8_15,			/* mpp8_15 */                       \
	DB_88F5181L_DDR2_2XTDM_MPP16_23,		/* mpp16_23 */                      \
	DB_88F5181L_DDR2_2XTDM_MPP_DEV},		/* mppDev */                        \
																				\
	((1<<8)|(1 << 9)|(1<<10)|(1<<12)|(1<<13)), 	/* intsGppMask */               \
																				\
	/*{params, devType, devWidth}*/			/* devCsInfo[MV_BOARD_MAX_DEV] */   \
																				\
	{{ 0x8fcfffff, BOARD_DEV_SEVEN_SEG, N_A}, 	/* devCs0 */                        \
	 { 0x8fdfffff, BOARD_DEV_NOR_FLASH, 16},   	/* devCs1 */                    \
	 { 0x8fcfffff, BOARD_DEV_NAND_FLASH, 8},	/* devCs2/flashCs */            \
	 { 0x8fcfffff, BOARD_DEV_NOR_FLASH, 8}},	/* bootCs */                    \
																				\
	/*pciBoardIf[MV_BOARD_MAX_PCI_IF];*/	  									\
																				\
	{{0x7,									/* firstSlotDevNum */               \
	3,										/* pciSlotsNum */                   \
																				\
	/*pciSlot[MV_BOARD_MAX_PCI_SLOTS]*/											\
	/* {{intAGppPin, intBGppPin, intCGppPin, intDGppPin}} */					\
																				\
	{{ {12, 12, 12, 12}},				/* pciSlot0 */							\
	 { {13, 13, 13, 13}},  				/* pciSlot1 */                      	\
	 { {13, 13, 13, 13}}}}},   			/* pciSlot2 */                      	\
																				\
	0x68,									/* rtcTwsiAddr */                   \
    ADDR7_BIT,								/* rtcTwsiAddrType */               \
	N_A,									/* pexPciBridgeTwsiAddr */          \
	N_A,									/* pexPciBridgeTwsiAddrType */      \
																				\
	{0x8},									/* ethPhyAddr[MV_BOARD_MAX_PORTS] */\
																				\
	10,										/* rtcIntPin */                     \
	N_A,									/* switchIntPin */                  \
	{1,N_A},						/* vbusUsbGppPin[MV_BOARD_MAX_USB_IF] */	\
																				\
	4,										/* activeLedsNumber */              \
																				\
	{N_A,									/* led0GppPin */                    \
	N_A,									/* led1GppPin */                    \
	N_A,									/* led2GppPin */                    \
	N_A,									/* led3GppPin */                    \
	N_A,									/* led4GppPin */                    \
	N_A,									/* led5GppPin */                    \
	N_A,									/* led6GppPin */                    \
	N_A},									/* led7GppPin */                    \
	N_A,	   								/* ledsPolarity */					\
	11										/* refClkGppPin */					\
}


#define RD_88F5181L_VOIP_FE_MPP0_7	    0x55000003
#define RD_88F5181L_VOIP_FE_MPP8_15	   	0x00000101
#define RD_88F5181L_VOIP_FE_MPP16_23  	0x0
#define RD_88F5181L_VOIP_FE_MPP_DEV		0x0


#define RD_88F5181L_VOIP_FE_INFO	{											\
																				\
	"RD-88F5181L-VOIP-FE",					/* boardName[MAX_BOARD_NAME_LEN] */	\
																				\
	{RD_88F5181L_VOIP_FE_MPP0_7,			/* mpp0_7 */						\
	RD_88F5181L_VOIP_FE_MPP8_15,			/* mpp8_15 */                       \
	RD_88F5181L_VOIP_FE_MPP16_23,			/* mpp16_23 */                      \
	RD_88F5181L_VOIP_FE_MPP_DEV},			/* mppDev */                        \
																				\
	((1<<2)|(1 << 3)|(1<<4)|(1<<5)|(1<<9)|(1<<11)),	/* intsGppMask */           \
																				\
	/*{params, devType, devWidth}*/			/* devCsInfo[MV_BOARD_MAX_DEV] */   \
																				\
	{{ N_A, N_A, N_A}, 						/* devCs0 */                        \
	 { N_A, N_A, N_A},							/* devCs1 */                    \
	 { N_A, N_A, N_A},							/* devCs2/flashCs */            \
	 { 0x8fcfffff, BOARD_DEV_NOR_FLASH, 8}},	/* bootCs */                    \
																				\
	/*pciBoardIf[MV_BOARD_MAX_PCI_IF];*/	  									\
																				\
	{{0x7,									/* firstSlotDevNum */               \
	1,										/* pciSlotsNum */                   \
																				\
	/*pciSlot[MV_BOARD_MAX_PCI_SLOTS]*/											\
	/* {{intAGppPin, intBGppPin, intCGppPin, intDGppPin}} */					\
																				\
	{{ {4, 3, N_A, N_A}},		   		/* pciSlot0 */							\
	 { {N_A, N_A, N_A, N_A}},			/* pciSlot1 */                      	\
	 { {N_A, N_A, N_A, N_A}}}}},		/* pciSlot2 */                      	\
																				\
	0x68,									/* rtcTwsiAddr */                   \
    ADDR7_BIT,								/* rtcTwsiAddrType */               \
	N_A,									/* pexPciBridgeTwsiAddr */          \
	N_A,									/* pexPciBridgeTwsiAddrType */      \
																				\
	{0x0},									/* ethPhyAddr[MV_BOARD_MAX_PORTS] */\
																				\
	11,										/* rtcIntPin */                     \
	N_A,									/* switchIntPin */                  \
	{N_A,N_A},						/* vbusUsbGppPin[MV_BOARD_MAX_USB_IF] */	\
																				\
	3,										/* activeLedsNumber */              \
																				\
	{12,										/* led0GppPin */                    \
	13, 		 								/* led1GppPin */                    \
	14,									/* led2GppPin */                    \
	N_A,									/* led3GppPin */                    \
	N_A,									/* led4GppPin */                    \
	N_A,									/* led5GppPin */                    \
	N_A,									/* led6GppPin */                    \
	N_A},									/* led7GppPin */                    \
	0,		   								/* ledsPolarity */					\
	N_A										/* refClkGppPin */					\
}


#define RD_88F5181L_VOIP_GE_MPP0_7	    0x55000003
#define RD_88F5181L_VOIP_GE_MPP8_15	   	0x11110010
#define RD_88F5181L_VOIP_GE_MPP16_23  	0x1111
#define RD_88F5181L_VOIP_GE_MPP_DEV		0x0


#define RD_88F5181L_VOIP_GE_INFO	{											\
																				\
	"RD-88F5181L-VOIP-GE",					/* boardName[MAX_BOARD_NAME_LEN] */	\
																				\
	{RD_88F5181L_VOIP_GE_MPP0_7,			/* mpp0_7 */						\
	RD_88F5181L_VOIP_GE_MPP8_15,			/* mpp8_15 */                       \
	RD_88F5181L_VOIP_GE_MPP16_23,			/* mpp16_23 */                      \
	RD_88F5181L_VOIP_GE_MPP_DEV},			/* mppDev */                        \
																				\
	((1<<4)|(1 << 5)|(1<<8)),				/* intsGppMask */                   \
																				\
	/*{params, devType, devWidth}*/			/* devCsInfo[MV_BOARD_MAX_DEV] */   \
																				\
	{{ N_A, N_A, N_A}, 						/* devCs0 */                        \
	 { N_A, N_A, N_A},							/* devCs1 */                    \
	 { N_A, N_A, N_A},							/* devCs2/flashCs */            \
	 { 0x8fcfffff, BOARD_DEV_NOR_FLASH, 8}},	/* bootCs */                    \
																				\
	/*pciBoardIf[MV_BOARD_MAX_PCI_IF];*/	  									\
																				\
	{{0x7,									/* firstSlotDevNum */               \
	1,										/* pciSlotsNum */                   \
																				\
	/*pciSlot[MV_BOARD_MAX_PCI_SLOTS]*/											\
	/* {{intAGppPin, intBGppPin, intCGppPin, intDGppPin}} */					\
																				\
	{{ {4, 10, N_A, N_A}},		   		/* pciSlot0 */							\
	 { {N_A, N_A, N_A, N_A}},			/* pciSlot1 */                      	\
	 { {N_A, N_A, N_A, N_A}}}}},		/* pciSlot2 */                      	\
																				\
	0x68,									/* rtcTwsiAddr */                   \
    ADDR7_BIT,								/* rtcTwsiAddrType */               \
	N_A,									/* pexPciBridgeTwsiAddr */          \
	N_A,									/* pexPciBridgeTwsiAddrType */      \
																				\
	{0x0},									/* ethPhyAddr[MV_BOARD_MAX_PORTS] */\
																				\
	5,										/* rtcIntPin */                     \
	N_A,									/* switchIntPin */                  \
	{N_A,N_A},						/* vbusUsbGppPin[MV_BOARD_MAX_USB_IF] */	\
																				\
	3,										/* activeLedsNumber */              \
																				\
	{1,										/* led0GppPin */                    \
	2, 		 								/* led1GppPin */                    \
	3,										/* led2GppPin */                    \
	N_A,									/* led3GppPin */                    \
	N_A,									/* led4GppPin */                    \
	N_A,									/* led5GppPin */                    \
	N_A,									/* led6GppPin */                    \
	N_A},									/* led7GppPin */                    \
	0,		   								/* ledsPolarity */					\
	N_A										/* refClkGppPin */					\
}


#define RD_88F5182_2XSATA3_MPP0_7	       	0x00000003
#define RD_88F5182_2XSATA3_MPP8_15			0x55550000
#define RD_88F5182_2XSATA3_MPP16_23  		0x5555

#define RD_88F5182_2XSATA3_INFO	{												\
																				\
	"RD-88F5182-NAS-3",					/* boardName[MAX_BOARD_NAME_LEN] */	\
																				\
	{RD_88F5182_2XSATA3_MPP0_7,				/* mpp0_7 */						\
	RD_88F5182_2XSATA3_MPP8_15,				/* mpp8_15 */                       \
	RD_88F5182_2XSATA3_MPP16_23,				/* mpp16_23 */                      \
	N_A},									/* mppDev */                        \
																				\
	((1<<3)|(1 << 6)|(1<<7)),				/* intsGppMask */                   \
																				\
	/*{params, devType, devWidth}*/			/* devCsInfo[MV_BOARD_MAX_DEV] */   \
																				\
	{{ N_A, N_A, N_A}, 						/* devCs0 */                        \
	 { 0x8fcfffff, BOARD_DEV_NOR_FLASH, 8},	/* devCs1 */                    \
	 { N_A, N_A, N_A},							/* devCs2/flashCs */            \
	 { 0x8fcfffff, BOARD_DEV_NOR_FLASH, 8}},	/* bootCs */                    \
																				\
	/*pciBoardIf[MV_BOARD_MAX_PCI_IF];*/	  									\
																				\
	{{0x7,									/* firstSlotDevNum */               \
	1,										/* pciSlotsNum */                   \
																				\
	/*pciSlot[MV_BOARD_MAX_PCI_SLOTS]*/											\
	/* {{intAGppPin, intBGppPin, intCGppPin, intDGppPin}} */					\
																				\
	{{ {7, N_A, N_A, N_A}},		   		/* pciSlot0 */							\
	 { {N_A, N_A, N_A, N_A}},			/* pciSlot1 */                      	\
	 { {N_A, N_A, N_A, N_A}}}}},		/* pciSlot2 */                      	\
																				\
	0x68,									/* rtcTwsiAddr */                   \
    ADDR7_BIT,								/* rtcTwsiAddrType */               \
	N_A,									/* pexPciBridgeTwsiAddr */          \
	N_A,									/* pexPciBridgeTwsiAddrType */      \
																				\
	{0x8},									/* ethPhyAddr[MV_BOARD_MAX_PORTS] */\
																				\
	3,										/* rtcIntPin */                     \
	N_A,									/* switchIntPin */                  \
	{N_A,N_A},						/* vbusUsbGppPin[MV_BOARD_MAX_USB_IF] */	\
																				\
	2,										/* activeLedsNumber */              \
																				\
	{0,										/* led0GppPin */                    \
	1, 		 								/* led1GppPin */                    \
	N_A,									/* led2GppPin */                    \
	N_A,									/* led3GppPin */                    \
	N_A,									/* led4GppPin */                    \
	N_A,									/* led5GppPin */                    \
	N_A,									/* led6GppPin */                    \
	N_A},									/* led7GppPin */                    \
	1,		   								/* ledsPolarity */					\
	N_A										/* refClkGppPin */					\
}




#define RD_88W8660_MPP0_7	    	0x0 
#define RD_88W8660_MPP8_15	   	0x0


#define RD_88W8660_DDR1_INFO	{											\
															\
	"RD-88W8660",								/* boardName[MAX_BOARD_NAME_LEN] */	\
															\
	{RD_88W8660_MPP0_7,							/* mpp0_7 */				\
	RD_88W8660_MPP8_15,							/* mpp8_15 */                       	\
	N_A,									/* mpp16_23 */                      	\
	N_A},									/* mppDev */                        	\
															\
	((1 << 3)|(1<<4)|(1<<9)|(1<<11)),					/* intsGppMask */           		\
															\
	/*{params, devType, devWidth}*/						/* devCsInfo[MV_BOARD_MAX_DEV] */   	\
															\
	{{ N_A, N_A, N_A}, 							/* devCs0 */                        	\
	 { N_A, N_A, N_A},							/* devCs1 */                    	\
	 { N_A, N_A, N_A},							/* devCs2/flashCs */            	\
	 { 0x8fcfffff, BOARD_DEV_NOR_FLASH, 8}},				/* bootCs */		           	\
															\
	/*pciBoardIf[MV_BOARD_MAX_PCI_IF];*/	  									\
															\
	{{0x7,									/* firstSlotDevNum */               	\
	1,									/* pciSlotsNum */                   	\
															\
	/*pciSlot[MV_BOARD_MAX_PCI_SLOTS]*/										\
	/* {{intAGppPin, intBGppPin, intCGppPin, intDGppPin}} */							\
															\
	{{ {4, 3, N_A, N_A}},		   					/* pciSlot0 */				\
	 { {N_A, N_A, N_A, N_A}},						/* pciSlot1 */                      	\
	 { {N_A, N_A, N_A, N_A}}}}},						/* pciSlot2 */                      	\
															\
	0x68,									/* rtcTwsiAddr */                   	\
    	ADDR7_BIT,								/* rtcTwsiAddrType */               	\
	N_A,									/* pexPciBridgeTwsiAddr */          	\
	N_A,									/* pexPciBridgeTwsiAddrType */      	\
															\
	{0x0},									/* ethPhyAddr[MV_BOARD_MAX_PORTS] */	\
															\
	11,									/* rtcIntPin */                     	\
	N_A,									/* switchIntPin */                  	\
	{N_A,N_A},								/* vbusUsbGppPin[MV_BOARD_MAX_USB_IF] */\
															\
	3,									/* activeLedsNumber */              	\
															\
	{6,									/* led0GppPin */                    	\
	5, 		 							/* led1GppPin */                    	\
	7,									/* led2GppPin */                    	\
	N_A,									/* led3GppPin */                    	\
	N_A,									/* led4GppPin */                    	\
	N_A,									/* led5GppPin */                    	\
	N_A,									/* led6GppPin */                    	\
	N_A},									/* led7GppPin */                    	\
	0,		   							/* ledsPolarity */			\
	N_A									/* refClkGppPin */			\
}


#define RD_88W8660_AP82S_MPP0_7	    	0x22 
#define RD_88W8660_AP82S_MPP8_15	0x0
#define RD_88W8660_AP82S_MPP_OUT_EN	0xB33
#define RD_88W8660_AP82S_MPP_POLAR	0xB00
#ifdef MV_NAND_BOOT
#define RD_88W8660_AP82S_BOOT_CS_INFO { 0x8fcfffff, BOARD_DEV_NAND_FLASH, 8}
#else
#define RD_88W8660_AP82S_BOOT_CS_INFO { 0x8fcfffff, BOARD_DEV_NOR_FLASH, 8}
#endif /* MV_NAND_BOOT */


#define RD_88W8660_AP82S_INFO	{											\
															\
	"RD-88W8660-AP82S",							/* boardName[MAX_BOARD_NAME_LEN] */	\
															\
	{RD_88W8660_AP82S_MPP0_7,						/* mpp0_7 */				\
	RD_88W8660_AP82S_MPP8_15,						/* mpp8_15 */                       	\
	N_A,									/* mpp16_23 */                      	\
	N_A},									/* mppDev */                        	\
															\
	/* Int A   Int B  INt CD Int SW Int RTC */									\
	((1 << 2)|(1<<3)|(1<<8)|(1<<9)|(1<<11)),				/* intsGppMask */           		\
															\
	/*{params, devType, devWidth}*/						/* devCsInfo[MV_BOARD_MAX_DEV] */   	\
															\
	{{ N_A, N_A, N_A}, 							/* devCs0 */                        	\
	 { N_A, N_A, N_A},							/* devCs1 */                    	\
	 { N_A, N_A, N_A},							/* devCs2/flashCs */            	\
	 RD_88W8660_AP82S_BOOT_CS_INFO},					/* bootCs */		           	\
															\
	/*pciBoardIf[MV_BOARD_MAX_PCI_IF];*/	  									\
															\
	{{0x7,									/* firstSlotDevNum */               	\
	1,									/* pciSlotsNum */                   	\
															\
	/*pciSlot[MV_BOARD_MAX_PCI_SLOTS]*/										\
	/* {{intAGppPin, intBGppPin, intCGppPin, intDGppPin}} */							\
															\
	{{ {2, 3, 8, 8}},		   					/* pciSlot0 */				\
	 { {N_A, N_A, N_A, N_A}},						/* pciSlot1 */                      	\
	 { {N_A, N_A, N_A, N_A}}}}},						/* pciSlot2 */                      	\
															\
	0x68,									/* rtcTwsiAddr */                   	\
    	ADDR7_BIT,								/* rtcTwsiAddrType */               	\
	N_A,									/* pexPciBridgeTwsiAddr */          	\
	N_A,									/* pexPciBridgeTwsiAddrType */      	\
															\
	{0x0},									/* ethPhyAddr[MV_BOARD_MAX_PORTS] */	\
															\
	11,									/* rtcIntPin */                     	\
	N_A,									/* switchIntPin */                  	\
	{N_A,N_A},								/* vbusUsbGppPin[MV_BOARD_MAX_USB_IF] */\
															\
	0,									/* activeLedsNumber */              	\
															\
	{N_A,									/* led0GppPin */                    	\
	N_A, 		 							/* led1GppPin */                    	\
	N_A,									/* led2GppPin */                    	\
	N_A,									/* led3GppPin */                    	\
	N_A,									/* led4GppPin */                    	\
	N_A,									/* led5GppPin */                    	\
	N_A,									/* led6GppPin */                    	\
	N_A},									/* led7GppPin */                    	\
	0,		   							/* ledsPolarity */			\
	N_A									/* refClkGppPin */			\
}


#define DB_88W8660_DDR2_MPP0_7	       		0x00002222
#define DB_88W8660_DDR2_MPP8_15			0x00000002

#ifdef MV_NAND_BOOT
#define DB_88W8660_DDR2_DEV_CS_INFO											\
	{{ 0x8fcfffff, BOARD_DEV_SEVEN_SEG, N_A}, 				/* devCs0 */                        	\
	 { 0x8fdfffff, BOARD_DEV_NOR_FLASH, 16},   				/* devCs1 */                    	\
	 { N_A,	N_A, N_A},							/* devCs2/flashCs */            	\
	 { 0x8fcfffff, BOARD_DEV_NAND_FLASH, 8}}				/* bootCs */
#else
#define DB_88W8660_DDR2_DEV_CS_INFO											\
	{{ 0x8fcfffff, BOARD_DEV_SEVEN_SEG, N_A}, 				/* devCs0 */                        	\
	 { 0x8fdfffff, BOARD_DEV_NOR_FLASH, 16},   				/* devCs1 */                    	\
	 { 0x8fcfffff, BOARD_DEV_NAND_FLASH, 8},				/* devCs2/flashCs */            	\
	 { 0x8fcfffff, BOARD_DEV_NOR_FLASH, 8}}					/* bootCs */
#endif /* MV_NAND_BOOT */

#define DB_88W8660_DDR2_INFO	{											\
															\
	"DB-88W8660-DDR2",							/* boardName[MAX_BOARD_NAME_LEN] */	\
															\
	{DB_88W8660_DDR2_MPP0_7,						/* mpp0_7 */				\
	DB_88W8660_DDR2_MPP8_15,						/* mpp8_15 */                       	\
	N_A,									/* mpp16_23 */                      	\
	N_A},									/* mppDev */                        	\
															\
	((1<<9)|(1 << 11)|(1<<10)),						/* intsGppMask */                   	\
															\
	/*{params, devType, devWidth}*/						/* devCsInfo[MV_BOARD_MAX_DEV] */   	\
	DB_88W8660_DDR2_DEV_CS_INFO,								                   	\
															\
	/*pciBoardIf[MV_BOARD_MAX_PCI_IF];*/	  									\
															\
	{{0x7,									/* firstSlotDevNum */               	\
	3,									/* pciSlotsNum */                   	\
															\
	/*pciSlot[MV_BOARD_MAX_PCI_SLOTS]*/										\
	/* {{intAGppPin, intBGppPin, intCGppPin, intDGppPin}} */							\
															\
	{{ {0, 0, 0, 0}},							/* pciSlot0 */				\
	 { { 9,  9,  9,  9}}, 	  						/* pciSlot1 */                      	\
	 { {11, 11, 11, 11}}}}}, 	   					/* pciSlot2 */                      	\
															\
	0x68,									/* rtcTwsiAddr */                   	\
    	ADDR7_BIT,								/* rtcTwsiAddrType */               	\
	N_A,									/* pexPciBridgeTwsiAddr */          	\
	N_A,									/* pexPciBridgeTwsiAddrType */      	\
															\
	{0x8},									/* ethPhyAddr[MV_BOARD_MAX_PORTS] */	\
															\
	10,									/* rtcIntPin */                     	\
	N_A,									/* switchIntPin */                  	\
	{N_A,N_A},								/* vbusUsbGppPin[MV_BOARD_MAX_USB_IF] */\
															\
	4,									/* activeLedsNumber */              	\
														    	\
	{N_A,									/* led0GppPin */                    	\
	N_A,									/* led1GppPin */                    	\
	N_A,									/* led2GppPin */                    	\
	N_A,									/* led3GppPin */                    	\
	N_A,									/* led4GppPin */                    	\
	N_A,									/* led5GppPin */                    	\
	N_A,									/* led6GppPin */                    	\
	N_A},									/* led7GppPin */                    	\
	N_A,	   								/* ledsPolarity */			\
	N_A									/* refClkGppPin */			\
}

#ifdef CONFIG_BUFFALO_PLATFORM

#define BUFFALO_BOARD_LS_GL_MPP0_7	0x55220003
#define BUFFALO_BOARD_LS_GL_MPP8_15	0x55550000
#define BUFFALO_BOARD_LS_GL_MPP16_23	0x0
#define BUFFALO_BOARD_LS_GL_MPP_DEV	0x0

#define BUFFALO_BOARD_LS_GL_INFO	{				\
									\
	"BUFFALO_BOARD_LS_GL",	/* boardName[MAX_BOARD_NAME_LEN] */	\
									\
	{BUFFALO_BOARD_LS_GL_MPP0_7,	/* mpp0_7 */			\
	BUFFALO_BOARD_LS_GL_MPP8_15,	/* mpp8_15 */			\
	BUFFALO_BOARD_LS_GL_MPP16_23,	/* mpp16_23 */			\
	BUFFALO_BOARD_LS_GL_MPP_DEV},	/* mppDev */			\
									\
	((1<<2)|(1<<3)),		/* intsGppMask */		\
									\
	/*{params, devType, devWidth}*//* devCsInfo[MV_BOARD_MAX_DEV] */\
									\
	{{ N_A, N_A, N_A},			/* devCs0 */		\
	 { 0x8fcfffff, BOARD_DEV_NOR_FLASH, 8},	/* devCs1 */		\
	 { N_A, N_A, N_A},			/* devCs2/flashCs */	\
	 { 0x8fcfffff, BOARD_DEV_NOR_FLASH, 8}},/* bootCs */		\
									\
	/*pciBoardIf[MV_BOARD_MAX_PCI_IF];*/				\
									\
	{{N_A,					/* firstSlotDevNum */	\
	0,					/* pciSlotsNum */	\
									\
	/*pciSlot[MV_BOARD_MAX_PCI_SLOTS]*/				\
	/* {{intAGppPin, intBGppPin, intCGppPin, intDGppPin}} */	\
									\
	{{ {N_A, N_A, N_A, N_A}},   		/* pciSlot0 */		\
	 { {N_A, N_A, N_A, N_A}},		/* pciSlot1 */		\
	 { {N_A, N_A, N_A, N_A}}}}},		/* pciSlot2 */		\
									\
	0x32,					/* rtcTwsiAddr */	\
	ADDR7_BIT,				/* rtcTwsiAddrType */	\
	N_A,				/* pexPciBridgeTwsiAddr */	\
	N_A,				/* pexPciBridgeTwsiAddrType */	\
									\
	{0x8},			/* ethPhyAddr[MV_BOARD_MAX_PORTS] */	\
									\
	3,				/* rtcIntPin */			\
	N_A,				/* switchIntPin */		\
	{N_A,N_A},	/* vbusUsbGppPin[MV_BOARD_MAX_USB_IF] */	\
									\
	0,				/* activeLedsNumber */		\
									\
	{N_A,				/* led0GppPin */		\
	N_A, 				/* led1GppPin */		\
	N_A,				/* led2GppPin */		\
	N_A,				/* led3GppPin */		\
	N_A,				/* led4GppPin */		\
	N_A,				/* led5GppPin */		\
	N_A,				/* led6GppPin */		\
	N_A},				/* led7GppPin */		\
	0,		  		/* ledsPolarity */		\
	N_A				/* refClkGppPin */		\
}

#define BUFFALO_BOARD_LS_WGL_MPP0_7	0x00000003
#define BUFFALO_BOARD_LS_WGL_MPP8_15	0x00000000
#define BUFFALO_BOARD_LS_WGL_MPP16_23	0x0
#define BUFFALO_BOARD_LS_WGL_MPP_DEV	0x0

#define BUFFALO_BOARD_LS_WGL_INFO	{				\
									\
	"BUFFALO_BOARD_LS_WGL",	/* boardName[MAX_BOARD_NAME_LEN] */	\
									\
	{BUFFALO_BOARD_LS_WGL_MPP0_7,	/* mpp0_7 */			\
 	 BUFFALO_BOARD_LS_WGL_MPP8_15,	/* mpp8_15 */			\
	 BUFFALO_BOARD_LS_WGL_MPP16_23,	/* mpp16_23 */			\
	 BUFFALO_BOARD_LS_WGL_MPP_DEV},	/* mppDev */			\
									\
	((1<<2)|(1<<3)),		/* intsGppMask */		\
									\
	/*{params, devType, devWidth}*//* devCsInfo[MV_BOARD_MAX_DEV] */\
									\
	{{ N_A, N_A, N_A},			/* devCs0 */		\
	 { N_A, N_A, N_A},			/* devCs1 */		\
	 { N_A, N_A, N_A},			/* devCs2/flashCs */	\
	 { 0x8fcfffff, BOARD_DEV_NOR_FLASH, 8}},/* bootCs */		\
									\
	/*pciBoardIf[MV_BOARD_MAX_PCI_IF];*/				\
									\
	{{N_A,					/* firstSlotDevNum */	\
	0,					/* pciSlotsNum */	\
									\
	/*pciSlot[MV_BOARD_MAX_PCI_SLOTS]*/				\
	/* {{intAGppPin, intBGppPin, intCGppPin, intDGppPin}} */	\
									\
	{{ {N_A, N_A, N_A, N_A}},   		/* pciSlot0 */		\
	 { {N_A, N_A, N_A, N_A}},		/* pciSlot1 */		\
	 { {N_A, N_A, N_A, N_A}}}}},		/* pciSlot2 */		\
									\
	0x32,					/* rtcTwsiAddr */	\
	ADDR7_BIT,				/* rtcTwsiAddrType */	\
	N_A,				/* pexPciBridgeTwsiAddr */	\
	N_A,				/* pexPciBridgeTwsiAddrType */	\
									\
	{0x8},			/* ethPhyAddr[MV_BOARD_MAX_PORTS] */	\
									\
	3,				/* rtcIntPin */			\
	N_A,				/* switchIntPin */		\
	{N_A,N_A},	/* vbusUsbGppPin[MV_BOARD_MAX_USB_IF] */	\
									\
	0,				/* activeLedsNumber */		\
									\
	{N_A,				/* led0GppPin */		\
	N_A, 				/* led1GppPin */		\
	N_A,				/* led2GppPin */		\
	N_A,				/* led3GppPin */		\
	N_A,				/* led4GppPin */		\
	N_A,				/* led5GppPin */		\
	N_A,				/* led6GppPin */		\
	N_A},				/* led7GppPin */		\
	0,		  		/* ledsPolarity */		\
	N_A				/* refClkGppPin */		\
}

#define BUFFALO_BOARD_LS_WTGL_R1_MPP0_7	0x00000003
#define BUFFALO_BOARD_LS_WTGL_R1_MPP8_15	0x00000000
#define BUFFALO_BOARD_LS_WTGL_R1_MPP16_23	0x0
#define BUFFALO_BOARD_LS_WTGL_R1_MPP_DEV	0x0

#define BUFFALO_BOARD_LS_WTGL_R1_INFO	{				\
									\
	"BUFFALO_BOARD_LS_WTGL/R1",	/* boardName[MAX_BOARD_NAME_LEN] */	\
									\
	{BUFFALO_BOARD_LS_WTGL_R1_MPP0_7,	/* mpp0_7 */			\
	BUFFALO_BOARD_LS_WTGL_R1_MPP8_15,	/* mpp8_15 */			\
	BUFFALO_BOARD_LS_WTGL_R1_MPP16_23,	/* mpp16_23 */			\
	BUFFALO_BOARD_LS_WTGL_R1_MPP_DEV},	/* mppDev */			\
									\
	((1<<2)|(1<<3)),		/* intsGppMask */		\
									\
	/*{params, devType, devWidth}*//* devCsInfo[MV_BOARD_MAX_DEV] */\
									\
	{{ N_A, N_A, N_A},			/* devCs0 */		\
	 { N_A, N_A, N_A},			/* devCs1 */		\
	 { N_A, N_A, N_A},			/* devCs2/flashCs */	\
	 { 0x8fcfffff, BOARD_DEV_NOR_FLASH, 8}},/* bootCs */		\
									\
	/*pciBoardIf[MV_BOARD_MAX_PCI_IF];*/				\
									\
	{{N_A,					/* firstSlotDevNum */	\
	0,					/* pciSlotsNum */	\
									\
	/*pciSlot[MV_BOARD_MAX_PCI_SLOTS]*/				\
	/* {{intAGppPin, intBGppPin, intCGppPin, intDGppPin}} */	\
									\
	{{ {N_A, N_A, N_A, N_A}},   		/* pciSlot0 */		\
	 { {N_A, N_A, N_A, N_A}},		/* pciSlot1 */		\
	 { {N_A, N_A, N_A, N_A}}}}},		/* pciSlot2 */		\
									\
	0x32,					/* rtcTwsiAddr */	\
	ADDR7_BIT,				/* rtcTwsiAddrType */	\
	N_A,				/* pexPciBridgeTwsiAddr */	\
	N_A,				/* pexPciBridgeTwsiAddrType */	\
									\
	{0x8},			/* ethPhyAddr[MV_BOARD_MAX_PORTS] */	\
									\
	3,				/* rtcIntPin */			\
	N_A,				/* switchIntPin */		\
	{N_A,N_A},	/* vbusUsbGppPin[MV_BOARD_MAX_USB_IF] */	\
									\
	0,				/* activeLedsNumber */		\
									\
	{N_A,				/* led0GppPin */		\
	N_A, 				/* led1GppPin */		\
	N_A,				/* led2GppPin */		\
	N_A,				/* led3GppPin */		\
	N_A,				/* led4GppPin */		\
	N_A,				/* led5GppPin */		\
	N_A,				/* led6GppPin */		\
	N_A},				/* led7GppPin */		\
	0,		  		/* ledsPolarity */		\
	N_A				/* refClkGppPin */		\
}

#define BUFFALO_BOARD_LS_WWN_R1_MPP0_7		0x44002200
#define BUFFALO_BOARD_LS_WWN_R1_MPP8_15		0x00000000
#define BUFFALO_BOARD_LS_WWN_R1_MPP16_23	0x00000000
#define BUFFALO_BOARD_LS_WWN_R1_MPP_DEV		0xFFFF0000

#define BUFFALO_BOARD_LS_WWN_R1_INFO	{				\
									\
	"BUFFALO_BOARD_LS_WWN/R1",	/* boardName[MAX_BOARD_NAME_LEN] */	\
									\
	{BUFFALO_BOARD_LS_WWN_R1_MPP0_7,	/* mpp0_7 */			\
	BUFFALO_BOARD_LS_WWN_R1_MPP8_15,	/* mpp8_15 */			\
	BUFFALO_BOARD_LS_WWN_R1_MPP16_23,	/* mpp16_23 */			\
	BUFFALO_BOARD_LS_WWN_R1_MPP_DEV},	/* mppDev */			\
									\
	((1<<4)|(1<<5)),		/* intsGppMask */		\
									\
	/*{params, devType, devWidth}*//* devCsInfo[MV_BOARD_MAX_DEV] */\
									\
	{{ N_A, N_A, N_A},			/* devCs0 */		\
	 { N_A, N_A, N_A},			/* devCs1 */		\
	 { N_A, N_A, N_A},			/* devCs2/flashCs */	\
	 { 0x8fcfffff, BOARD_DEV_NOR_FLASH, 8}},/* bootCs */		\
									\
	/*pciBoardIf[MV_BOARD_MAX_PCI_IF];*/				\
									\
	{{0x07,					/* firstSlotDevNum */	\
	     3,					/* pciSlotsNum */	\
									\
	/*pciSlot[MV_BOARD_MAX_PCI_SLOTS]*/				\
	/* {{intAGppPin, intBGppPin, intCGppPin, intDGppPin}} */	\
									\
	{{ {  4,   5, N_A, N_A}},   		/* pciSlot0 */		\
	 { {  5,   4, N_A, N_A}},		/* pciSlot1 */		\
	 { {N_A, N_A, N_A, N_A}}}}},		/* pciSlot2 */		\
									\
	0x32,					/* rtcTwsiAddr */	\
	ADDR7_BIT,				/* rtcTwsiAddrType */	\
	N_A,				/* pexPciBridgeTwsiAddr */	\
	N_A,				/* pexPciBridgeTwsiAddrType */	\
									\
	{0x0},			/* ethPhyAddr[MV_BOARD_MAX_PORTS] */	\
									\
	3,				/* rtcIntPin */			\
	N_A,				/* switchIntPin */		\
	{N_A,N_A},	/* vbusUsbGppPin[MV_BOARD_MAX_USB_IF] */	\
									\
	0,				/* activeLedsNumber */		\
									\
	{N_A,				/* led0GppPin */		\
	N_A, 				/* led1GppPin */		\
	N_A,				/* led2GppPin */		\
	N_A,				/* led3GppPin */		\
	N_A,				/* led4GppPin */		\
	N_A,				/* led5GppPin */		\
	N_A,				/* led6GppPin */		\
	N_A},				/* led7GppPin */		\
	0,		  		/* ledsPolarity */		\
	N_A				/* refClkGppPin */		\
}

#define BUFFALO_BOARD_LS_HGL_MPP0_7	0x00000003
#define BUFFALO_BOARD_LS_HGL_MPP8_15	0x00000000
#define BUFFALO_BOARD_LS_HGL_MPP16_23	0x00005555
#define BUFFALO_BOARD_LS_HGL_MPP_DEV	0x0

#define BUFFALO_BOARD_LS_HGL_INFO	{				\
									\
	"BUFFALO_BOARD_LS_HGL",	/* boardName[MAX_BOARD_NAME_LEN] */	\
									\
	{BUFFALO_BOARD_LS_HGL_MPP0_7,	/* mpp0_7 */			\
	BUFFALO_BOARD_LS_HGL_MPP8_15,	/* mpp8_15 */			\
	BUFFALO_BOARD_LS_HGL_MPP16_23,	/* mpp16_23 */			\
	BUFFALO_BOARD_LS_HGL_MPP_DEV},	/* mppDev */			\
									\
	((1<<2)|(1<<3)),		/* intsGppMask */		\
									\
	/*{params, devType, devWidth}*//* devCsInfo[MV_BOARD_MAX_DEV] */\
									\
	{{ N_A, N_A, N_A},			/* devCs0 */		\
	 { N_A, N_A, N_A},			/* devCs1 */		\
	 { N_A, N_A, N_A},			/* devCs2/flashCs */	\
	 { 0x8fcfffff, BOARD_DEV_NOR_FLASH, 8}},/* bootCs */		\
									\
	/*pciBoardIf[MV_BOARD_MAX_PCI_IF];*/				\
									\
	{{N_A,					/* firstSlotDevNum */	\
	0,					/* pciSlotsNum */	\
									\
	/*pciSlot[MV_BOARD_MAX_PCI_SLOTS]*/				\
	/* {{intAGppPin, intBGppPin, intCGppPin, intDGppPin}} */	\
									\
	{{ {N_A, N_A, N_A, N_A}},   		/* pciSlot0 */		\
	 { {N_A, N_A, N_A, N_A}},		/* pciSlot1 */		\
	 { {N_A, N_A, N_A, N_A}}}}},		/* pciSlot2 */		\
									\
	0x32,					/* rtcTwsiAddr */	\
	ADDR7_BIT,				/* rtcTwsiAddrType */	\
	N_A,				/* pexPciBridgeTwsiAddr */	\
	N_A,				/* pexPciBridgeTwsiAddrType */	\
									\
	{0x8},			/* ethPhyAddr[MV_BOARD_MAX_PORTS] */	\
									\
	3,				/* rtcIntPin */			\
	N_A,				/* switchIntPin */		\
	{N_A,N_A},	/* vbusUsbGppPin[MV_BOARD_MAX_USB_IF] */	\
									\
	0,				/* activeLedsNumber */		\
									\
	{N_A,				/* led0GppPin */		\
	N_A, 				/* led1GppPin */		\
	N_A,				/* led2GppPin */		\
	N_A,				/* led3GppPin */		\
	N_A,				/* led4GppPin */		\
	N_A,				/* led5GppPin */		\
	N_A,				/* led6GppPin */		\
	N_A},				/* led7GppPin */		\
	0,		  		/* ledsPolarity */		\
	N_A				/* refClkGppPin */		\
}


#define BUFFALO_BOARD_LS_WSGL_R1_MPP0_7		0x00000003
#define BUFFALO_BOARD_LS_WSGL_R1_MPP8_15	0x00000000
#define BUFFALO_BOARD_LS_WSGL_R1_MPP16_23	0x00005555
#define BUFFALO_BOARD_LS_WSGL_R1_MPP_DEV	0x0

#define BUFFALO_BOARD_LS_WSGL_R1_INFO	{				\
									\
	"BUFFALO_BOARD_LS_WSGL/R1",	/* boardName[MAX_BOARD_NAME_LEN] */	\
									\
	{BUFFALO_BOARD_LS_WSGL_R1_MPP0_7,	/* mpp0_7 */			\
	BUFFALO_BOARD_LS_WSGL_R1_MPP8_15,	/* mpp8_15 */			\
	BUFFALO_BOARD_LS_WSGL_R1_MPP16_23,	/* mpp16_23 */			\
	BUFFALO_BOARD_LS_WSGL_R1_MPP_DEV},	/* mppDev */			\
									\
	((1<<2)|(1<<3)),		/* intsGppMask */		\
									\
	/*{params, devType, devWidth}*//* devCsInfo[MV_BOARD_MAX_DEV] */\
									\
	{{ N_A, N_A, N_A},			/* devCs0 */		\
	 { N_A, N_A, N_A},			/* devCs1 */		\
	 { N_A, N_A, N_A},			/* devCs2/flashCs */	\
	 { 0x8fcfffff, BOARD_DEV_NOR_FLASH, 8}},/* bootCs */		\
									\
	/*pciBoardIf[MV_BOARD_MAX_PCI_IF];*/				\
									\
	{{N_A,					/* firstSlotDevNum */	\
	0,					/* pciSlotsNum */	\
									\
	/*pciSlot[MV_BOARD_MAX_PCI_SLOTS]*/				\
	/* {{intAGppPin, intBGppPin, intCGppPin, intDGppPin}} */	\
									\
	{{ {N_A, N_A, N_A, N_A}},   		/* pciSlot0 */		\
	 { {N_A, N_A, N_A, N_A}},		/* pciSlot1 */		\
	 { {N_A, N_A, N_A, N_A}}}}},		/* pciSlot2 */		\
									\
	0x32,					/* rtcTwsiAddr */	\
	ADDR7_BIT,				/* rtcTwsiAddrType */	\
	N_A,				/* pexPciBridgeTwsiAddr */	\
	N_A,				/* pexPciBridgeTwsiAddrType */	\
									\
	{0x8},			/* ethPhyAddr[MV_BOARD_MAX_PORTS] */	\
									\
	3,				/* rtcIntPin */			\
	N_A,				/* switchIntPin */		\
	{N_A,N_A},	/* vbusUsbGppPin[MV_BOARD_MAX_USB_IF] */	\
									\
	0,				/* activeLedsNumber */		\
									\
	{N_A,				/* led0GppPin */		\
	N_A, 				/* led1GppPin */		\
	N_A,				/* led2GppPin */		\
	N_A,				/* led3GppPin */		\
	N_A,				/* led4GppPin */		\
	N_A,				/* led5GppPin */		\
	N_A,				/* led6GppPin */		\
	N_A},				/* led7GppPin */		\
	0,		  		/* ledsPolarity */		\
	N_A				/* refClkGppPin */		\
}


#define BUFFALO_BOARD_LS_WHGL_R1_MPP0_7		0x00000003
#define BUFFALO_BOARD_LS_WHGL_R1_MPP8_15	0x00000000
#define BUFFALO_BOARD_LS_WHGL_R1_MPP16_23	0x00005555
#define BUFFALO_BOARD_LS_WHGL_R1_MPP_DEV	0x0

#define BUFFALO_BOARD_LS_WHGL_R1_INFO	{				\
									\
	"BUFFALO_BOARD_LS_WHGL/R1",	/* boardName[MAX_BOARD_NAME_LEN] */	\
									\
	{BUFFALO_BOARD_LS_WHGL_R1_MPP0_7,	/* mpp0_7 */			\
	BUFFALO_BOARD_LS_WHGL_R1_MPP8_15,	/* mpp8_15 */			\
	BUFFALO_BOARD_LS_WHGL_R1_MPP16_23,	/* mpp16_23 */			\
	BUFFALO_BOARD_LS_WHGL_R1_MPP_DEV},	/* mppDev */			\
									\
	((1<<2)|(1<<3)),		/* intsGppMask */		\
									\
	/*{params, devType, devWidth}*//* devCsInfo[MV_BOARD_MAX_DEV] */\
									\
	{{ N_A, N_A, N_A},			/* devCs0 */		\
	 { N_A, N_A, N_A},			/* devCs1 */		\
	 { N_A, N_A, N_A},			/* devCs2/flashCs */	\
	 { 0x8fcfffff, BOARD_DEV_NOR_FLASH, 8}},/* bootCs */		\
									\
	/*pciBoardIf[MV_BOARD_MAX_PCI_IF];*/				\
									\
	{{N_A,					/* firstSlotDevNum */	\
	0,					/* pciSlotsNum */	\
									\
	/*pciSlot[MV_BOARD_MAX_PCI_SLOTS]*/				\
	/* {{intAGppPin, intBGppPin, intCGppPin, intDGppPin}} */	\
									\
	{{ {N_A, N_A, N_A, N_A}},   		/* pciSlot0 */		\
	 { {N_A, N_A, N_A, N_A}},		/* pciSlot1 */		\
	 { {N_A, N_A, N_A, N_A}}}}},		/* pciSlot2 */		\
									\
	0x32,					/* rtcTwsiAddr */	\
	ADDR7_BIT,				/* rtcTwsiAddrType */	\
	N_A,				/* pexPciBridgeTwsiAddr */	\
	N_A,				/* pexPciBridgeTwsiAddrType */	\
									\
	{0x8},			/* ethPhyAddr[MV_BOARD_MAX_PORTS] */	\
									\
	3,				/* rtcIntPin */			\
	N_A,				/* switchIntPin */		\
	{N_A,N_A},	/* vbusUsbGppPin[MV_BOARD_MAX_USB_IF] */	\
									\
	0,				/* activeLedsNumber */		\
									\
	{N_A,				/* led0GppPin */		\
	N_A, 				/* led1GppPin */		\
	N_A,				/* led2GppPin */		\
	N_A,				/* led3GppPin */		\
	N_A,				/* led4GppPin */		\
	N_A,				/* led5GppPin */		\
	N_A,				/* led6GppPin */		\
	N_A},				/* led7GppPin */		\
	0,		  		/* ledsPolarity */		\
	N_A				/* refClkGppPin */		\
}



/* Bitmap
   MPP[0] 0x3 : gpio(0)
   MPP[1] 0x0 : gpio(1)
   MPP[2] 0x0 : gpio(2)
   MPP[3] 0x0 : gpio(3)
   MPP[4] 0x0 : gpio(4)
   MPP[5] 0x0 : gpio(5)
   MPP[6] 0x0 : gpio(6)
   MPP[7] 0x0 : gpio(7)
*/

#define BUFFALO_BOARD_HS_WDHTGL_R1_MPP0_7	0x00000003
#define BUFFALO_BOARD_HS_WDHTGL_R1_MPP8_15	0x55550000
#define BUFFALO_BOARD_HS_WDHTGL_R1_MPP16_23	0x00000000
#define BUFFALO_BOARD_HS_WDHTGL_R1_MPP_DEV	0x0

#define BUFFALO_BOARD_HS_WDHTGL_R1_INFO	{				\
									\
	"BUFFALO_BOARD_HS_WDHTGL_R1",	/* boardName[MAX_BOARD_NAME_LEN] */	\
									\
	{BUFFALO_BOARD_HS_WDHTGL_R1_MPP0_7,	/* mpp0_7 */			\
	BUFFALO_BOARD_HS_WDHTGL_R1_MPP8_15,	/* mpp8_15 */			\
	BUFFALO_BOARD_HS_WDHTGL_R1_MPP16_23,	/* mpp16_23 */			\
	BUFFALO_BOARD_HS_WDHTGL_R1_MPP_DEV},	/* mppDev */			\
									\
	((1<<2)|(1<<3)),		/* intsGppMask */		\
									\
	/*{params, devType, devWidth}*//* devCsInfo[MV_BOARD_MAX_DEV] */\
									\
	{{ N_A, N_A, N_A},			/* devCs0 */		\
	 { N_A, N_A, N_A},			/* devCs1 */		\
	 { N_A, N_A, N_A},			/* devCs2/flashCs */	\
	 { 0x8fcfffff, BOARD_DEV_NOR_FLASH, 8}},/* bootCs */		\
									\
	/*pciBoardIf[MV_BOARD_MAX_PCI_IF];*/				\
									\
	{{N_A,					/* firstSlotDevNum */	\
	0,					/* pciSlotsNum */	\
									\
	/*pciSlot[MV_BOARD_MAX_PCI_SLOTS]*/				\
	/* {{intAGppPin, intBGppPin, intCGppPin, intDGppPin}} */	\
									\
	{{ {N_A, N_A, N_A, N_A}},   		/* pciSlot0 */		\
	 { {N_A, N_A, N_A, N_A}},		/* pciSlot1 */		\
	 { {N_A, N_A, N_A, N_A}}}}},		/* pciSlot2 */		\
									\
	0x32,					/* rtcTwsiAddr */	\
	ADDR7_BIT,				/* rtcTwsiAddrType */	\
	N_A,				/* pexPciBridgeTwsiAddr */	\
	N_A,				/* pexPciBridgeTwsiAddrType */	\
									\
	{0x8},			/* ethPhyAddr[MV_BOARD_MAX_PORTS] */	\
									\
	3,				/* rtcIntPin */			\
	N_A,				/* switchIntPin */		\
	{N_A,N_A},	/* vbusUsbGppPin[MV_BOARD_MAX_USB_IF] */	\
									\
	0,				/* activeLedsNumber */		\
									\
	{N_A,				/* led0GppPin */		\
	N_A, 				/* led1GppPin */		\
	N_A,				/* led2GppPin */		\
	N_A,				/* led3GppPin */		\
	N_A,				/* led4GppPin */		\
	N_A,				/* led5GppPin */		\
	N_A,				/* led6GppPin */		\
	N_A},				/* led7GppPin */		\
	0,		  		/* ledsPolarity */		\
	N_A				/* refClkGppPin */		\
}

#define BUFFALO_BOARD_LS_CL_MPP0_7	0x00000003
#define BUFFALO_BOARD_LS_CL_MPP8_15	0x00000000
#define BUFFALO_BOARD_LS_CL_MPP16_23	0x00005555
#define BUFFALO_BOARD_LS_CL_MPP_DEV	0x03FF0000

#define BUFFALO_BOARD_LS_CL_INFO	{				\
									\
	"BUFFALO_BOARD_LS_CL",	/* boardName[MAX_BOARD_NAME_LEN] */	\
									\
	{BUFFALO_BOARD_LS_CL_MPP0_7,	/* mpp0_7 */			\
	BUFFALO_BOARD_LS_CL_MPP8_15,	/* mpp8_15 */			\
	BUFFALO_BOARD_LS_CL_MPP16_23,	/* mpp16_23 */			\
	BUFFALO_BOARD_LS_CL_MPP_DEV},	/* mppDev */			\
									\
	0,				/* intsGppMask */		\
									\
	/*{params, devType, devWidth}*//* devCsInfo[MV_BOARD_MAX_DEV] */\
									\
	{{ N_A, N_A, N_A},			/* devCs0 */		\
	 { N_A, N_A, N_A},			/* devCs1 */		\
	 { N_A, N_A, N_A},			/* devCs2/flashCs */	\
	 { 0x8fcfffff, BOARD_DEV_NOR_FLASH, 8}},/* bootCs */		\
									\
	/*pciBoardIf[MV_BOARD_MAX_PCI_IF];*/				\
									\
	{{N_A,					/* firstSlotDevNum */	\
	0,					/* pciSlotsNum */	\
									\
	/*pciSlot[MV_BOARD_MAX_PCI_SLOTS]*/				\
	/* {{intAGppPin, intBGppPin, intCGppPin, intDGppPin}} */	\
									\
	{{ {N_A, N_A, N_A, N_A}},   		/* pciSlot0 */		\
	 { {N_A, N_A, N_A, N_A}},		/* pciSlot1 */		\
	 { {N_A, N_A, N_A, N_A}}}}},		/* pciSlot2 */		\
									\
	0x32,					/* rtcTwsiAddr */	\
	ADDR7_BIT,				/* rtcTwsiAddrType */	\
	N_A,				/* pexPciBridgeTwsiAddr */	\
	N_A,				/* pexPciBridgeTwsiAddrType */	\
									\
	{0x8},			/* ethPhyAddr[MV_BOARD_MAX_PORTS] */	\
									\
	3,				/* rtcIntPin */			\
	N_A,				/* switchIntPin */		\
	{N_A,N_A},	/* vbusUsbGppPin[MV_BOARD_MAX_USB_IF] */	\
									\
	0,				/* activeLedsNumber */		\
									\
	{N_A,				/* led0GppPin */		\
	N_A, 				/* led1GppPin */		\
	N_A,				/* led2GppPin */		\
	N_A,				/* led3GppPin */		\
	N_A,				/* led4GppPin */		\
	N_A,				/* led5GppPin */		\
	N_A,				/* led6GppPin */		\
	N_A},				/* led7GppPin */		\
	0,		  		/* ledsPolarity */		\
	N_A				/* refClkGppPin */		\
}


#define BUFFALO_BOARD_LS_QL_R5_MPP0_7	0x00000003
#define BUFFALO_BOARD_LS_QL_R5_MPP8_15	0x00000000
#define BUFFALO_BOARD_LS_QL_R5_MPP16_23	0x00005555
#define BUFFALO_BOARD_LS_QL_R5_MPP_DEV	0x03FF0000

#define BUFFALO_BOARD_LS_QL_R5_INFO	{				\
									\
	"BUFFALO_BOARD_LS_QL_R5",	/* boardName[MAX_BOARD_NAME_LEN] */	\
									\
	{BUFFALO_BOARD_LS_QL_R5_MPP0_7,	/* mpp0_7 */			\
	BUFFALO_BOARD_LS_QL_R5_MPP8_15,	/* mpp8_15 */			\
	BUFFALO_BOARD_LS_QL_R5_MPP16_23,/* mpp16_23 */			\
	BUFFALO_BOARD_LS_QL_R5_MPP_DEV},/* mppDev */			\
									\
	0,				/* intsGppMask */		\
									\
	/*{params, devType, devWidth}*//* devCsInfo[MV_BOARD_MAX_DEV] */\
									\
	{{ N_A, N_A, N_A},			/* devCs0 */		\
	 { N_A, N_A, N_A},			/* devCs1 */		\
	 { N_A, N_A, N_A},			/* devCs2/flashCs */	\
	 { 0x8fcfffff, BOARD_DEV_NOR_FLASH, 8}},/* bootCs */		\
									\
	/*pciBoardIf[MV_BOARD_MAX_PCI_IF];*/				\
									\
	{{N_A,					/* firstSlotDevNum */	\
	0,					/* pciSlotsNum */	\
									\
	/*pciSlot[MV_BOARD_MAX_PCI_SLOTS]*/				\
	/* {{intAGppPin, intBGppPin, intCGppPin, intDGppPin}} */	\
									\
	{{ {N_A, N_A, N_A, N_A}},   		/* pciSlot0 */		\
	 { {N_A, N_A, N_A, N_A}},		/* pciSlot1 */		\
	 { {N_A, N_A, N_A, N_A}}}}},		/* pciSlot2 */		\
									\
	0x32,					/* rtcTwsiAddr */	\
	ADDR7_BIT,				/* rtcTwsiAddrType */	\
	N_A,				/* pexPciBridgeTwsiAddr */	\
	N_A,				/* pexPciBridgeTwsiAddrType */	\
									\
	{0x8},			/* ethPhyAddr[MV_BOARD_MAX_PORTS] */	\
									\
	3,				/* rtcIntPin */			\
	N_A,				/* switchIntPin */		\
	{N_A,N_A},	/* vbusUsbGppPin[MV_BOARD_MAX_USB_IF] */	\
									\
	0,				/* activeLedsNumber */		\
									\
	{N_A,				/* led0GppPin */		\
	N_A, 				/* led1GppPin */		\
	N_A,				/* led2GppPin */		\
	N_A,				/* led3GppPin */		\
	N_A,				/* led4GppPin */		\
	N_A,				/* led5GppPin */		\
	N_A,				/* led6GppPin */		\
	N_A},				/* led7GppPin */		\
	0,		  		/* ledsPolarity */		\
	N_A				/* refClkGppPin */		\
}


#define BUFFALO_BOARD_TS_HTGL_R5_MPP0_7		0x44440000
#define BUFFALO_BOARD_TS_HTGL_R5_MPP8_15	0x00000000
#define BUFFALO_BOARD_TS_HTGL_R5_MPP16_23	0x0
#define BUFFALO_BOARD_TS_HTGL_R5_MPP_DEV	0x0

#define BUFFALO_BOARD_TS_HTGL_R5_INFO	{				\
									\
	"BUFFALO_BOARD_TS_HTGL_R5", /* boardName[MAX_BOARD_NAME_LEN] */	\
									\
	{BUFFALO_BOARD_TS_HTGL_R5_MPP0_7,	/* mpp0_7 */		\
	BUFFALO_BOARD_TS_HTGL_R5_MPP8_15,	/* mpp8_15 */		\
	BUFFALO_BOARD_TS_HTGL_R5_MPP16_23,	/* mpp16_23 */		\
	BUFFALO_BOARD_TS_HTGL_R5_MPP_DEV},	/* mppDev */		\
									\
	((1<<8)|(1<<9)|(1<<10)|(1<<11)),	/* intsGppMask */	\
									\
	/*{params, devType, devWidth}*//* devCsInfo[MV_BOARD_MAX_DEV] */\
									\
	{{ N_A, N_A, N_A},			/* devCs0 */		\
	 { N_A, N_A, N_A},			/* devCs1 */		\
	 { N_A, N_A, N_A},			/* devCs2/flashCs */	\
	 { 0x8fcfffff, BOARD_DEV_NOR_FLASH, 8}},	/* bootCs */	\
									\
	/*pciBoardIf[MV_BOARD_MAX_PCI_IF];*/				\
									\
	{{0x7,					/* firstSlotDevNum */	\
	2,					/* pciSlotsNum */	\
									\
	/*pciSlot[MV_BOARD_MAX_PCI_SLOTS]*/				\
	/* {{intAGppPin, intBGppPin, intCGppPin, intDGppPin}} */	\
									\
	{{ {11, 12, N_A, N_A}},		  	/* pciSlot0 */		\
	 { {N_A, N_A, N_A, N_A}},		/* pciSlot1 */		\
	 { {N_A, N_A, N_A, N_A}}}}},		/* pciSlot2 */		\
									\
	0x32,					/* rtcTwsiAddr */	\
    	ADDR7_BIT,				/* rtcTwsiAddrType */	\
	N_A,				/* pexPciBridgeTwsiAddr */	\
	N_A,				/* pexPciBridgeTwsiAddrType */	\
									\
	{0x0},			/* ethPhyAddr[MV_BOARD_MAX_PORTS] */	\
									\
	3,					/* rtcIntPin */		\
	N_A,					/* switchIntPin */	\
	{N_A,N_A},	/* vbusUsbGppPin[MV_BOARD_MAX_USB_IF] */	\
									\
	0,				/* activeLedsNumber */		\
									\
	{N_A,					/* led0GppPin */	\
	 N_A, 		 			/* led1GppPin */	\
	 N_A,					/* led2GppPin */	\
	 N_A,					/* led3GppPin */	\
	 N_A,					/* led4GppPin */	\
	 N_A,					/* led5GppPin */	\
	 N_A,					/* led6GppPin */	\
	 N_A},					/* led7GppPin */	\
	0,		   			/* ledsPolarity */	\
	N_A					/* refClkGppPin */	\
}

#endif

#endif /* __INCmvBoardEnvSpech */
